Getting started with Internet Explorer

Getting started with
Internet Explorer

With an Internet connection and Internet Explorer, you can find and view information about anything on the web. Just click the topics below to get started.

  • Introducing Internet Explorer 7
  • Help protect yourself from fraudulent websites (by using Phishing Filter)
  • Learning how to browse the web faster and more easily
  • Finding the information you want


How do I display the Internet Explorer menu?

The menus that were displayed in earlier versions of Internet Explorer are turned off in Internet Explorer 7, but you can turn them back on.

To display the menus temporarily

  1. Open Internet Explorer.
  2. Press ALT.

To display the menus permanently

  1. Open Internet Explorer.
  2. Click the Tools button and then select Menu Bar.

To turn the menus off, repeat the steps above to clear the check mark.


Finding the information you want on the Internet

The Internet contains a vast collection of information, but finding what you are looking for can be a challenge. Here are a few tips to help you search the web more effectively.

Use the Instant Search box

In the Internet Explorer Instant Search box Picture of the Instant Search box, located to the right of the Address bar, type a keyword or phrase and then press ENTER (or press ALT+ENTER to display the search results in a new tab). This will search for the phrase you typed by using your default search provider.

Note

  • Press CTRL+E to quickly put your cursor in the search box.

Use the Address bar

In the Internet Explorer Address bar, type Find, Go, or ? followed by a keyword, website name, or phrase, and then press ENTER. This will quickly search the Internet using your default search provider and display the results in the current window. If you want the search results to display in a new tab, press ALT+ENTER after typing the phrase.

Use more than one search provider

If you do not find what you're looking for with a particular search provider, you can search using a different one. Internet Explorer's Instant Search box lets you add additional search providers and switch between them to improve your search results.

To learn how to use different search providers, install new search providers, or change the search provider that Internet Explorer uses by default, click Related Topics.

Search more efficiently

Here are a few ideas for improving the results of searches

  • Use specific words rather than generic categories. For example, instead of searching for dogs, search for a specific breed of dog.
  • Use quotation marks to search for specific phrases. Surrounding terms with quotation marks limits the search results to only those webpages that contain the exact phrase you've specified. Without the quotation marks, the results will include any page that contains the words you've used, regardless of what order those words are in.
  • Use the minus (-) sign before a keyword to tell search providers to exclude pages with that term. Using a minus sign will retrieve webpages that do not include the word. It's important not to include any spaces between the signs and the search terms (for example, -Bogart, not - Bogart).
  • Eliminate common words such as a, my, or the, unless you're looking for a specific title. If the word is part of something you're looking for (a song title, for example), include the common word and surround the phrase with quotation marks.
  • Use synonyms or alternative search terms. Be creative or use a thesaurus for ideas. Type thesaurus in the Instant Search box to find an online thesaurus.
  • Search only a specific website or domain. Type the search term you're looking for followed by site: and the address of the website you want to search to narrow the search to that specific site. For example, to search Microsoft.com for information about viruses, type virus site: www.microsoft.com.
  • Use a specialty search engine or provider, such as MSN Image search, to look for pictures. Many websites offer their own special searches for anything from shopping to hobbies. Internet Explorer can detect specialty search providers on some websites, which you can add to your list of search providers.

Related Topics


Tabbed browsing: frequently asked questions

Here are answers to some common questions about tabbed browsing.

What is tabbed browsing?

Tabbed browsing is a new feature in Internet Explorer that allows you to open multiple websites in a single browser window. You can open webpages or links on new tabs, and switch between them by clicking on the tab. If you have a lot of tabs open, you can use Quick Tabs Picture of the Quick Tabs button to easily switch to other tabs. The advantage is that you have fewer items open on the taskbar.

How do I open a new tab?

To open a new blank tab, click the New Tab button on the tab row or press CTRL+T. To open a new tab when you follow a link on a webpage, press CTRL as you click the link, or right-click the link and then select Open in New Tab. If you have a mouse with a wheel, you can click a link with the wheel to open a new tab.

How do I close a tab?

Click the X on the tab to close it. If you have a mouse with a wheel, you can click a link with the wheel to open a new tab.

How do I save a group of tabs?

To save a group of tabs, click the Add to Favorites button Picture of the Add to Favorites button, and then click Add Tab Group to Favorites. Give the group a name, select the folder that you want the group to be stored in, and then click Add.

How do I open a saved group of tabs?

Click the Favorites Center button Picture of the Favorites Center button, and then click the Favorites button. Navigate to the folder that contains the tab group you want to open, and then click the arrow Picture of the arrow) to the right of the folder name. All of the webpages will open on separate tabs.

I want to close Internet Explorer but I have a lot of tabs open. Is there anything I can do to make them re-open the next time I start Internet Explorer?

Yes. When you close Internet Explorer, you will be asked whether you want to close all tabs. When the prompt appears, click Show Options, select Open these the next time I use Internet Explorer, and then click Close Tabs. When you reopen Internet Explorer the tabs will be restored.

I opened a lot of tabs, but I can't see them all. Where are they?

Internet Explorer displays up to 10 tabs on the screen. To display all tabs, click Quick Tabs Picture of the Quick Tabs button. All open webpages will be displayed as thumbnails. Click the page you want to view.

Can I turn off tabbed browsing?

Yes. Here's how.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, in the Tabs section, click Settings.
  3. Clear the Enable Tabbed Browsing check box.
  4. Click OK twice.
  5. Close Internet Explorer, and then open it again.

    6. Tabbed browsing will now be off, and every webpage will open in a new Internet Explorer window.

What mouse and keyboard shortcuts can I use when working with tabs?

The following table describes the mouse and keyboard shortcuts that are available when working with tabs.

To do this | Press this
Open links in a new tab in the background | CTRL+click
Open links in a new tab in the foreground | CTRL+SHIFT+click
Open a new tab in the foreground | CTRL+T or double-click an empty space in the tab row
Switch between tabs | CTRL+TAB or CTRL+SHIFT+TAB
Close current tab (or current window when there are no open tabs) | CTRL+W or ALT+F4
Open a new tab in the foreground from the Address bar | ALT+ENTER
Switch to a specific tab number | CTRL+n (where n is a number between 1 and 8)
Switch to the last tab | CTRL+9
Close other tabs | CTRL+ALT+F4
Open Quick Tabs (thumbnail view) | CTRL+Q
Open a link in a tab with a wheel mouse | Click the link with the mouse wheel
Close a tab with a wheel mouse | Click the tab with the mouse wheel

Can I choose whether pop-ups are displayed in a new window or on a new tab?

Yes. You can choose to always display pop-ups on a new tab, to always display them in a new window, or to let Internet Explorer decide how to display them. If you opt to let Internet Explorer decide how to display pop-ups, it will display the pop-up in a new window if the pop-up specifies size or display requirements. Otherwise, the pop-up is displayed in a new tab.

To change how pop-ups are displayed

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, in the Tabs section, click Settings.
  3. Make a selection in the When a pop-up is encountered section.
  4. Click OK twice.


Keeping track of your favorite webpages

Here are some ideas for keeping track of your favorite websites and making them easy to find.

  • Add the page to your list of favorites. Any time you want to open that page, click the Favorites Center button Picture of the Favorites Center button on the toolbar, and then click the shortcut in the list. To learn how to do this, see Add a webpage to your list of favorite pages.
  • Add the page to the Links bar. Put the websites you visit most frequently on the Links bar and they're always only one click away. To learn how to do this, see Add a page to the Links bar.
  • Make the page your home page. If there is one page that you always want to go to, make it your home page. If there are several webpages that you visit on a daily basis, you might want to make those into a set of home page tabs so they appear every time you start Internet Explorer. To learn how to do this, see Change your home page.

Note

  • If you recently visited a webpage and want to find it again but you didn't save the link, click the Favorites Center button Picture of the Favorites Center button, and then click History. To learn how to navigate through the history of websites you have visited, see Find websites you have visited.


Using Internet Explorer keyboard shortcuts

Internet Explorer keyboard shortcuts

You can use Internet Explorer's shortcut keys to perform lots of different tasks quickly or to work without a mouse.

Viewing and exploring webpages

To do this | Press this
Display Help | F1
Toggle between full-screen and regular views of the browser window | F11
Move forward through the items on a webpage, the Address bar, or the Links bar | TAB
Move back through the items on a webpage, the Address bar, or the Links bar | SHIFT+TAB
Go to your home page | ALT+HOME
Go to the next page | ALT+RIGHT ARROW
Go to the previous page | ALT+LEFT ARROW or BACKSPACE
Display a shortcut menu for a link | SHIFT+F10
Move forward through frames and browser elements (only works if tabbed browsing is disabled) | CTRL+TAB or F6
Move backward between frames (only works if tabbed browsing is disabled) | CTRL+SHIFT+TAB
Scroll toward the beginning of a document | UP ARROW or SHIFT+SPACEBAR
Scroll toward the end of a document | DOWN ARROW or SPACEBAR
Scroll toward the beginning of a document in larger increments | PAGE UP
Scroll toward the end of a document in larger increments | PAGE DOWN
Move to the beginning of a document | HOME
Move to the end of a document | END
Find on this page | CTRL+F
Refresh the current webpage | F5
Refresh the current webpage, even if the time stamp for the web version and your locally stored version are the same | CTRL+F5
Stop downloading a page | ESC
Open a new website or page | CTRL+O
Open a new window | CTRL+N
Close the current window (if you only have one tab open) | CTRL+W or ALT+F4
Save the current page | CTRL+S
Print the current page or active frame | CTRL+P
Activate a selected link | ENTER
Open Favorites | CTRL+I
Open History | CTRL+H
Open Feeds | CTRL+J
Open the Page menu | ALT+P
Open the Tools menu | ALT+T
Open the Help menu | ALT+H

Working with tabs

To do this | Press this
Open links in a new tab in the background | CTRL+click
Open links in a new tab in the foreground | CTRL+SHIFT+click
Open a new tab in the foreground | CTRL+T
Switch between tabs | CTRL+TAB or CTRL+SHIFT+TAB
Close current tab (or the current window if tabbed browsing is disabled) | CTRL+W or ALT+F4
Open a new tab in the foreground from the Address bar | ALT+ENTER
Switch to a specific tab number | CTRL+n (where n is a number between 1 and 8)
Switch to the last tab | CTRL+9
Close other tabs | CTRL+ALT+F4
Toggles Quick Tabs (thumbnail view) on or off | CTRL+Q

Using Zoom

To do this | Press this
Increase zoom (+ 10%) | CTRL+PLUS SIGN
Decrease zoom (- 10%) | CTRL+MINUS SIGN
Zoom to 100% | CTRL+0

Using Search

To do this | Press this
Go to the search box | CTRL+E
Open your search query in a new tab | ALT+ENTER
Open the search provider menu | CTRL+DOWN ARROW

Using Print Preview

To do this | Press this
Set printing options and print the page | ALT+P
Change paper, headers and footers, orientation, and margins for this page | ALT+U
Display the first page to be printed | ALT+HOME
Display the previous page to be printed | ALT+LEFT ARROW
Type the number of the page you want displayed | ALT+A
Display the next page to be printed | ALT+RIGHT ARROW
Display the last page to be printed | ALT+END
Specify how you want frames to print (this option is available only if you are printing a webpage that uses frames) | ALT+F
Close Print Preview | ALT+C

Using the Address bar

To do this | Press this
Select the text in the Address bar | ALT+D
Display a list of addresses you've typed | F4
When in the Address bar, move the cursor left to the next logical break in the address (period or slash) | CTRL+LEFT ARROW
When in the Address bar, move the cursor right to the next logical break in the address (period or slash) | CTRL+RIGHT ARROW
Add "www." to the beginning and ".com" to the end of the text typed in the Address bar | CTRL+ENTER
Move forward through the list of AutoComplete matches | UP ARROW
Move back through the list of AutoComplete matches | DOWN ARROW

Opening Internet Explorer toolbar menus

To do this | Press this
Open the Home menu | ALT+M
Open the Print menu | ALT+R
Open the RSS menu | ALT+J
Open the Tools menu | ALT+O
Open the Help menu | ALT+L

Working with feeds, history, and favorites

To do this | Press this
Add the current page to your favorites | CTRL+D
Open the Organize Favorites dialog box | CTRL+B
Move selected item up in the Favorites list in the Organize Favorites dialog box | ALT+UP ARROW
Move selected item down in the Favorites list in the Organize Favorites dialog box | ALT+DOWN ARROW
Open the Favorites Center | ALT+A
Open Favorites Center and display your favorites | CTRL+I
Open Favorites Center and display your history | CTRL+H
Open Favorites Center and display your web feeds | CTRL+J
Open Add to Favorites menu | ALT+Z
Display all feeds (when in feed view) | ALT+I
Mark a feed as read (when in feed view) | ALT+M
Put cursor in Search box in feed view | ALT+S

Editing

To do this | Press this
Remove the selected items and copy them to the Clipboard | CTRL+X
Copy the selected items to the Clipboard | CTRL+C
Insert the contents of the Clipboard at the selected location | CTRL+V
Select all items on the current webpage | CTRL+A

Using the Information bar

To do this | Press this
Move focus to the Information bar | ALT+N
Click the Information bar | SPACEBAR


Change your home page

To change your home page

Your home page is displayed when Internet Explorer first opens or when you click the Home button Picture of the Home button, and it can consist of either a single page or a set of pages.

To set the current webpage as the home page

To make the webpage you're currently on your home page, follow these steps.

  1. If you have not already done so, open Internet Explorer and go to the page you want to use as the home page.
  2. Click the arrow to the right of the Home button Picture of the Home button, and then click Add or Change home page.
  3. In the Add or Change Home Page dialog box, do one of the following:
    • To make the current webpage your only home page, click Use this webpage as your only home page.
    • To start a home page tab set or to add the current webpage to your set of home page tabs, click Add this webpage to your home page tabs.
    • To replace your existing home page or home page tab set with the webpages you currently have open, click Use the current tab set as your home page. This option will only be available if you have more than one tab open in Internet Explorer.
  4. Click Yes to save your changes.

To reset the home page to the default

To reset the home page to the one that was used when Internet Explorer was first installed, follow these steps.

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the General tab.
  4. Click Use default to replace your current home page with the one that was used when you first installed Internet Explorer.
  5. Click OK to save your changes.

Note

  • If you do not want any home page to be opened when Internet Explorer starts, click Use Blank in step 4 above. You might want to have a blank home page if you frequently work offline and are not connected to the Internet when you open Internet Explorer.

To delete a home page

  1. Open Internet Explorer.
  2. Click the arrow to the right of the Home button Picture of the Home button, and then click Remove to open a list of your home pages.
  3. Do one of the following:
    • To delete one home page, click that page, and then click Yes.
    • To delete all home pages, click Remove All, and then click Yes.

To reorganize your home page tabs

By default, home page tabs are ordered chronologically, with the most recently added webpage being the first tab. To reorder the home page tabs, follow these steps:

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the General tab.
  4. Under Home Page, select the home page you want to move, right-click it, and then click Cut.
  5. Click at the beginning of the line where you want to move the home page address, and then press ENTER to create an empty line. Right-click the empty line, and then click Paste.
  6. Repeat steps 4 and 5 for each home page you want to move.
  7. Click OK to save your changes and exit.

Note

  • You can use a text editor, such as Notepad or your word processor, to edit and rearrange your home pages. To do this, follow steps 1 through 3 above to get to the General tab. Select all of the home pages, right-click one of the selected pages, and then click Cut. Open Notepad or your word processor, and then paste the home page list. Organize the home page list in the order you prefer by cutting and pasting. When you're done, select the list and copy it back into the Home Page section in Internet Explorer.

To back up your home page or home page tabs

Saving your current collection of home page tabs as favorites lets you keep them even if you reinstall Internet Explorer, delete the home pages, or reset Internet Explorer to its default settings. To save your home pages as favorites, follow these steps:

  1. Open Internet Explorer.
  2. Click the Add to Favorites button Picture of the Add to Favorites button, and then click Add Tab Group to Favorites.
  3. Type the name you want to give to the tab group (for example, Home page backup), pick the folder you want to create the backup in, and then click Add. Your home pages are now saved in the Favorites Center Picture of the Favorites Center button.

Note

  • To restore your home page tab set from the backup, click the Favorites Center button Picture of the Favorites Center button, point at your home page backup folder,and then click the Open in tabs button Picture of the Open in Tabs button. Click the arrow to the right of the Home button Picture of the Home button, click Change Home Page, click Use the current tab set as your home page, and then click Yes.


Sharing favorites

Favorites, also known as bookmarks, are a convenient way to organize and link to webpages that you visit frequently.

If you use Internet Explorer on several computers, you can easily save your favorites on one computer and import that list onto another computer. If you use both Internet Explorer and another web browsing program, you can keep your favorites synchronized by importing them between programs.

To import or export favorites

  1. Open Internet Explorer.
  2. Click the Add to Favorites button Picture of the Add to Favorites button, and then click Import and Export.
  3. Follow the instructions in the Import/Export Wizard.

    By default, the Import/Export Wizard creates a standard HTML file named bookmark.htm and saves it in the My Documents folder. When you use the wizard to import your favorites, it will look for that file.

Notes

  • To Share or move favorites from one computer to another, export or copy the Bookmark.htm file to a disk or flash drive. You can then import your favorites from the disk or flash drive to the new computer.
  • To print your list of favorites, open Bookmark.htm in Internet Explorer and then click the Print button Picture of the Print button.


Enter web information more easily

The AutoComplete feature saves the text you've previously entered for web addresses, forms, and passwords, and retrieves that same text for you if you begin to type the same information again later.

To use the AutoComplete feature

  1. In the Address bar, a field on a webpage, or a box for a user name or password, start typing the information. If you've typed a similar entry before, AutoComplete lists possible matches as you type.
  2. If a suggestion in the list matches what you want to enter in that field, click the suggestion. If no suggestion matches what you are typing, continue typing.

Notes

  • The information used for suggested matches is stored on your computer and is encrypted to help protect your privacy. Websites do not have access to this information.
  • You can remove an item from the list of suggestions on web forms by clicking that item and then pressing the DELETE key. To learn how to delete entries from the Address bar list, click Related Topics.
  • You can decide what type of information the AutoComplete feature will remember or you can turn off the feature altogether. To learn how, click Related Topics.


Zoom in on a webpage

Internet Explorer Zoom lets you enlarge or reduce the view of a webpage. Unlike changing font size, zoom enlarges or reduces everything on the page, including text and images. You can zoom from 10% to 1000%.

To zoom a webpage

  1. On the bottom right of the Internet Explorer screen, click the arrow to the right of the Change Zoom Level button Picture of the Change Zoom Level button.
  2. Do one of the following:
    • To go to a predefined zoom level, click the percentage of enlargement or reduction you want.
    • To specify a custom level, click Custom. In the Percentage zoom box, type a zoom value, and then click OK.

Notes

  • If you have a mouse with a wheel, hold down the CTRL key, and then scroll the wheel to zoom in or out.
  • If you click the Change Zoom Level button Picture of the Change Zoom Level button, it will cycle through 100%, 125%, and 150%, giving you a quick enlargement of the webpage.
  • From the keyboard you can increase or decrease the zoom value in 10% increments. To zoom in, press CTRL+PLUS SIGN. To zoom out, press CTRL+MINUS SIGN. To restore the zoom to 100%, press CTRL+0.


Using Quick Tabs

When you have multiple webpages open at once, each one is displayed on a separate tab. These tabs make it easy for you to switch between open websites. Quick Tabs provides a miniature visual view (called a thumbnail) of all your open tabs. This makes it easier to find the webpage that you want to view.

How do I open Quick Tabs?

Click the Quick Tabs button Picture of the Quick Tabs button to the left of the row of tabs. The Quick Tabs button is only displayed when you have more than one webpage open.

How do I open a webpage tab from Quick Tabs?

Click the thumbnail that you want to open.

How do I close tabs from Quick Tabs?

Click the Close button Picture of Quick Tabs close button in the upper-right corner of the thumbnail for the webpage that you want to close.

What does the arrow next to the Quick Tabs button do?

When you click the arrow next to the Quick Tabs button Picture of the Quick Tabs button, a list of all the websites that you have open is displayed. To switch to a different website, click the site name.

How do I close the Quick Tabs view?

Click the Quick Tabs button Picture of the Quick Tabs button. Quick Tabs will close and the last webpage that you viewed will be displayed.


Why do I need to activate controls on webpages I visit?

Microsoft has made changes to the way that Internet Explorer handles some content in webpages. When Internet Explorer encounters a page with ActiveX controls, you might be required to approve (activate) those controls before they can be used.

When your mouse hovers over the control, a note will appear asking you to click the note to activate the control. Sometimes the control will display a dialog box before the page displays. As soon as you click OK, the page will load normally.

After you activate the control, it will work as expected. You will have to activate the control every time you refresh or visit that website.

Note

  • If you are a website owner, you can rewrite your webpages so that users are never prompted to activate the control. For information about how to do this, see Activating ActiveX Controls (http://msdn.microsoft.com/workshop/author/dhtml/overview/activating_activex.asp) on the Microsoft website.


Search from the Address bar

To search from the Address bar

When a website address cannot be found, Internet Explorer automatically searches the web to try to find that site by using your default search provider. Follow these steps to set your preferences for how this is done.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.
  3. In the Settings list, scroll down until you find Search from the Address bar.
  4. Do one of the following:
    • To view a list of likely matches in the main window so that you can choose which webpage to display, select Just display the results in the main window.
    • To turn off searching from the Address bar, select Do not search from the Address bar.
  5. When you have made your selection, click OK.

Notes

  • When you search from the Address bar, Internet Explorer can automatically display the webpage that most likely matches what you are searching for and list other likely sites as well. To search in this way, type common names or words in the Address bar, and then click the Go button Picture of the Go button.
  • No matter which option you choose, you can still search for websites by typing search terms in the search box on the toolbar.


Find websites you have visited

To find websites you have visited

  1. On the toolbar, click the Favorites Center button Picture of the Favorites Center button.
  2. Click the History button.
  3. Click the day that you visited the website.
  4. In the list of websites that you visited on that day, click the site you want to go to.

You can change the way in which the websites you have visited are displayed. You can sort them by date, site name, most frequently visited, or most recently visited. To do this, click the arrow to the right of the History button, and then choose an option from the list.

Notes

  • To return to the last page you viewed, click the Back button Picture of the Back button on the toolbar.
  • To view one of the pages you visited in this session, click the arrow next to the Forward button Picture of the Back and Forward buttons), and then select the page you want from the list.
  • To keep the Favorites Center open all the time, click the Pin the Favorites Center Picture of the Pin the Favorites Center button at the top of the Favorites Center.
  • If you want to delete the browsing history, you can do so. To learn how, click Related Topics.
  • To learn how to change the number of days that visited webpages are kept in the history, click Related Topics.


Where is Search Assistant?

Search Assistant has been replaced in Internet Explorer by the Instant Search box Picture of the Instant Search box, which is located at the top right of the Address bar.

Type the topic or phrase you want to find on the web into the search box, and then press ENTER. If you don't find the results you want, click the arrow to the right of the Search Options button Picture of the Search Options button, and choose a different search provider. Your search text will be resubmitted to the new provider. Click Related Topics to learn how to change the default search provider.


Organize your favorite pages into folders

How do I organize my favorites?

Here are answers to some common questions about organizing and managing your favorite webpage links.

How do I organize my favorites?

  1. In Internet Explorer, click the Add to Favorites button Picture of Add to Favorites button, and then click Organize Favorites.
  2. In the Organize Favorites dialog box, you will see a list of your favorite links and folders. From here you can do the following:
    • Open folders: Click a folder to expand it and see the links it contains.
    • Create new folders: Click New Folder, type a name for the new folder, and then press ENTER.
    • Move favorites: Select a link or folder and then drag it to the new position or folder. You can also move items by selecting the link or folder, clicking Move, and then choosing the folder you want to move it to.
    • Rename links or folders: Select a link or folder, and then click Rename. Type the new name, and then press ENTER.
    • Delete links or folders: Click a link or folder, click Delete, and then click Yes to remove it.
  3. When you are finished organizing your favorite links, click Done.

How do I use folders?

Folders are used to organize your favorite links into groups that are meaningful to you. For example, you might create one folder for links to financial institutions and another folder for links to your favorite blogs.

  1. In Internet Explorer, click the Add to Favorites button Picture of the Add to Favorites button, and then click Organize favorites.
  2. In the Organize Favorites dialog box, click New Folder, type a name for the folder, and then press ENTER. Repeat this step until you have created as many folders as you'd like.
  3. Drag favorites from the list into the appropriate new folders. You can create nested folders by dragging one folder into another.
  4. When you are finished creating and organizing folders, click Done.

Note

  • In the Favorites Center, click the blue arrow to the right of a folder's name Picture of the folder arrow) to open all of that folder's favorites on different tabs.


What happened to offline favorites?

The offline favorites feature has been removed from Internet Explorer. If you want to read web content offline, here are a couple of different ways to do it:

  • Subscribe to an RSS feed. Many websites offer content as feeds, which can be downloaded and read offline. For more information about feeds, see Using feeds (RSS).
  • Save a webpage as a web archive (MHT) or HTML file. For more information, see Save a webpage on your computer.


What is a feed?

What is a feed (RSS)?

Feeds, also known as RSS feeds, XML feeds, syndicated content, or web feeds, contain frequently updated content published by a website. They are usually used for news and blog websites, but are also used for distributing other types of digital content, including pictures, audio files, or video. Internet Explorer can discover and display feeds as you visit websites. You can also subscribe to feeds to automatically check for and download updates that you can view later.


Using feeds (RSS)

Using web feeds (RSS)

Here are answers to some common questions about using feeds (RSS).

What is a feed?

A feed, also known as RSS feed, XML feed, syndicated content, or web feed, is frequently updated content published by a website. It is usually used for news and blog websites, but can also be used for distributing other types of digital content, including pictures, audio or video. Feeds can also be used to deliver audio content (usually in MP3 format) which you can listen to on your computer or MP3 player. This is referred to as podcasting.

How do I know if a website offers feeds?

When you first view a website, Internet Explorer will search for feeds. If feeds are available, the Feeds button Picture of the Feeds button will change color and a sound will play.

How do I view a feed?

When you visit a webpage, the Feeds button Picture of the Feeds button will change color, letting you know that feeds are available. Click the Feeds button, and then click the feed you want to see. To get content automatically, you should subscribe to a feed. Click Related Topics to learn how to subscribe to a web feed.

How does a feed differ from a website?

A feed can have the same content as a webpage, but it's often formatted differently. When you subscribe, Internet Explorer automatically checks the website and downloads new content so you can see what is new since you last visited the feed.

How can I automatically get updated content?

You can receive content automatically by subscribing to a web feed. When you subscribe to a web feed, you set the interval at which Internet Explorer will check the website for updates. Once you've set an interval, Internet Explorer will automatically download the most up-to-date web feed list. Click Related Topics to learn how to subscribe to a web feed.

Does a feed subscription cost money?

No, it's usually free to subscribe to a feed.

How can I view my subscribed feeds?

You view feeds on the Feeds tab in the Favorites Center. To view your feeds, click the Favorites Center button Picture of the Favorites Center button, and then click Feeds.

Can other programs display my subscribed feeds?

Yes, Internet Explorer provides the Common Feed List to other programs. This allows you to subscribe to feeds with Internet Explorer and read them in other programs, such as e-mail clients.

What does RSS mean?

RSS stands for Really Simple Syndication, and is used to describe the technology used in creating feeds.

What formats do feeds come in?

The most common formats are RSS and Atom. Feed formats are constantly being updated with new versions. Internet Explorer supports RSS 0.91, 1.0, and 2.0, and ATOM .3, 1.0. All web feed formats are based on XML (Extensible Markup Language), a text-based computer language used to describe and distribute structured data and documents.


Discover a feed

Internet Explorer looks for feeds, also known as RSS feeds, on every webpage you visit. When it finds available feeds, the Feeds button Picture of the Feeds button, located on the Internet Explorer toolbar, will change from gray to orange and it will play a sound.

To view available feeds

  1. On the Internet Explorer toolbar, click the Feeds button Picture of the Feeds button.
  2. If multiple feeds are available, you'll see a list of available feeds. Select the feed you want to view.

When you click the feed, you'll see a page displaying a list of items (topics and articles) you can read and subscribe to.


Subscribe to a feed

To subscribe to a feed

  1. Go to the webpage that has the feed to which you want to subscribe.
  2. Click the Feeds button Picture of Feeds button to discover feeds on the webpage.
  3. Click a feed (if more than one is available). If only one feed is available, you will go directly to that page.
  4. Click the Subscribe to this Feed button Picture of the Subscribe to this Feed button, and then click Subscribe to this Feed.
  5. Type a name for the feed and select the folder to create the feed in.
  6. Click Subscribe.

To view your subscribed feeds, click the Favorites Center button Picture of the Favorites Center button, and then click Feeds.


Preview the appearance of a printed webpage

By default, Internet Explorer will always try select the optimum size of a webpage to fit the width of the printed page. This might require the page to be scaled down in size. Internet Explorer also reduces the size of a page slightly if a single line of text (sometimes called an orphan) would print on its own page. You can use Print Preview to see how a printed webpage will look and to adjust page orientation, scaling, and margins.

To preview how a page will look when it is printed

  1. Open Internet Explorer and to go the page you want to print.
  2. Click the arrow to the right of the Print Picture of the Print button button, and then click Print Preview.

The following table describes Print Preview options that affect both what you see on the screen and what appears on the printed page.

Click this | To do this
Portrait Picture of the Portrait button | Print the page vertically (portrait orientation).
Landscape Picture of the Landscape button | Print the page horizontally (landscape orientation).
Page Setup Picture of the Page Setup button | Change paper, headers and footers, orientation, and margins for this page.
Turn headers or footers on or off Picture of the Turn headers or footers on or off button | Decide whether to print additional information (such as the date, website address, or page number) at the top or bottom of the page.
Change Print Size Picture of the Change Print Size button | Stretch or shrink the page size to fill the printed page. This feature replaces the zoom feature that was in previous versions of Internet Explorer.
Adjust margins Picture of the vertical Adjust margin button Picture of the horizontal Adjust margin button | Drag the horizontal or vertical markers to adjust where the page will print.
Page | Specify the page to display.
Print | Print the page using the current settings.

The following table describes Print Preview options that only affect how things look on the screen; they do not affect the printed copy.

Click this | To do this
View Full Width Picture of the View Full Width button | Zoom the webpage to the width of the preview screen.
View Full Page Picture of the View Full Page button | Zoom the webpage to show the full webpage in the preview screen.
Show multiple pages Picture of the Show multiple pages button | View multiple pages on the preview screen.
First Page Picture of the First Page button | Go to the first page.
Previous Page Picture of the Previous Page button | Go to the previous page.
Next Page Picture of the Next Page button | Go to the next page.
Last Page Picture of the Last Page button | Go to the last page.

Use headers and footers

The following table describes how to print the date or time, page numbers, window titles, or page addresses to headers or footers on your printed pages. In the Header and Footer boxes, specify the information to be printed by using the text codes shown in the table. These codes can be combined with words (for example, Page &p of &P).

To print this | Type this
Window title | &w
Page address (URL) | &u
Date in short format (as specified by Regional and Language Options in Control Panel) | &d
Date in long format (as specified by Regional and Language Options in Control Panel) | &D
Time (as specified by Regional and Language Options in Control Panel) | &t
Time in 24-hour format | &T
Current page number | &p
Total number of pages | &P
Right-aligned text (following &b) | &b
Centered text (between &b&b) | &b&b
A single ampersand (&) | &&

Note

  • You can add a Print Preview button to your standard toolbar. To find information about customizing the toolbar, click Related Topics.


Print a webpage

To print a webpage

  1. In Internet Explorer, go to the webpage that you want to print.
  2. Click the arrow to the right of the Print button Picture of the Print button, and then click Print.
  3. Set the printing options you want, and then click Print.

Notes

  • To print content that is in a frame, right-click the frame, click Print, and then, in the Print dialog box, click Print.
  • To print a picture, right-click the picture, click Print Picture, and then, in the Print dialog box, click Print.
  • To print a specific section of a webpage, select that section, right-click the section, and then click Print. In the Print dialog box, click Selection, and then click Print.
  • To preview how a webpage will look when it is printed, click the arrow to the right of the Print button Picture of the Print button, and then click Print Preview. In Print Preview, you can make changes to how the page will print (including rotating, shrinking, or stretching it).


Save a webpage on your computer

To save a webpage on your computer

  1. In Internet Explorer, click the Page button, and then click Save As.
  2. Navigate to the folder you want to save the page in.
  3. In the File name box, type a name for the page.
  4. In the Save as type box, do one of the following:
    • To save all of the files needed to display this page, including graphics, frames, and style sheets, select Webpage, complete. This option saves each file in its original format.
    • To save all of the information needed to display this page in a single file, click Web Archive, single file. This option saves a snapshot of the current webpage. This option is available only if you have installed Outlook Express 5 or later.
    • To save just the current HTML page, click Webpage, HTML only. This option saves the information on the webpage, but it does not save the graphics, sounds, or other files.
    • To save just the text from the current webpage, click Text File. This option saves the information on the webpage in text format.


Saving pictures or text from a webpage

Saving pictures from a webpage

  1. In Internet Explorer, browse to a webpage with a picture you want to save.
  2. Right-click the picture.
  3. Click Save Picture As.
  4. In the Save Picture dialog box, browse to the folder where you want to save the file, and then click Save.

Here are some other things you can do with webpages:

To do this | Try this
Save a page or picture without opening it | Right-click the link for the item you want to save, and then click Save Target As.
Copy information from a webpage into a document | Select the information you want to copy, click the Page button, and then click Copy. Paste the information into the document you are working on.
Create a desktop shortcut to the current page | Right-click in the page, and then click Create Shortcut.
Use a webpage picture as desktop background | Right-click the image on the webpage, and then click Set as Background.
Send a webpage in e-mail | Click the Page button, and then click Send this Page by E-mail. Fill in the e-mail fields, and then send the message. Note that you must have an e-mail account and an e-mail program set up on your computer to send the webpage in e-mail.


Save a picture from a webpage

To save a picture from a webpage

  1. In Internet Explorer, right-click the picture you want to save.
  2. Click Save Picture As.
  3. In the Save Picture dialog box, browse to the folder where you want to save the file, and then click Save.

Note

  • Pictures are saved in the My Pictures folder unless you specify a different location.


Print a picture from a webpage

To print a picture from a webpage

  1. In Internet Explorer, right-click the picture you want to print.
  2. Click Print Picture.
  3. In the Print dialog box, click Print.


Understanding security and privacy features

Internet Explorer provides a number of features that can help protect your privacy and help make your computer more secure.

Privacy features in Internet Explorer include settings that allow you to control how your computer handles cookies, privacy alerts that let you know when you try to go to a site that doesn't meet the criteria in your privacy settings, and ability to view a website's privacy policy.

Security features in Internet Explorer include the following:

  • The ability to detect and block suspected and reported phishing websites.
  • The ability to block most pop-up windows.
  • The ability to update, disable, or allow web browser add-ons.
  • Notification when a website is trying to download files or software to your computer.
  • Digital signatures, which tell you who published a file and whether it has been tampered with it since it was digitally signed.
  • A 128-bit secure connection for using secure websites.

Which security features are turned on when I first use Internet Explorer?

By default, Internet Explorer is set to provide a level of security that can help protect you against common threats, such as spyware or other types of malware, when browsing the web. These settings can help protect against known security threats, such as websites installing add-ons or other programs without your knowledge. For new and unknown vulnerabilities and threats, Internet Explorer's Protected Mode setting keeps websites from gaining access to your computer.

How can I protect my privacy when I'm online?

Internet Explorer provides the following features that can help protect your privacy when you're online.

  • Privacy settings that specify how your computer handles cookies.
  • Privacy alerts that let you know when you try to go to a website that doesn't meet the criteria in your privacy settings.
  • The ability to view a website's privacy statement.

Why am I getting the message Your security setting level puts your computer at risk?

You are getting this message because certain security settings are at a lower level than is recommended. By default, Internet Explorer has a minimum level for some settings that can help protect your computer from websites that are trying to install malicious or unwanted software without your knowledge or permission. When security settings are not at recommended levels, Internet Explorer will display a full page notification when you first start and display an information bar while you browse.

How do I know which settings are not at recommended levels?

To see which security settings are not at recommended levels, follow these steps:

To view Internet Explorer security settings

  1. Click the Tools button, and then click Internet Options.
  2. Click the Security tab.
  3. Click the Internet icon, and then click the Custom level button.

    Settings that are not at recommended levels are highlighted in red.

  4. When you are finished reviewing your security settings, click OK twice.

What is changed when I click Fix settings for me on the Information bar when my computer is at risk?

When you click Fix settings for me on the Information bar, Internet Explorer will reset the security settings that put your computer at risk back to their recommended settings.

How can I change Internet Explorer security settings?

To change Internet Explorer security settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab.
  3. Click the Internet icon.
  4. Do one of the following:
    • To change individual security settings, click Custom level. Change the settings as desired and click OK when you are done.
    • To set Internet Explorer back to the default security level, click Default level.
  5. When you are finished making changes, click OK to return to Internet Explorer.

How do I change my Internet Explorer privacy settings?

To change Internet Explorer privacy settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab.
  3. Under Settings, do any of the following:
    • To allow or block cookies from specific websites, click Sites.
    • To load a customized settings file, click Import. These are files that modify the rules that Internet Explorer uses handle cookies. Since these files can override default settings, you should only import them if you know and trust the source.
  4. When you are finished making changes to your privacy settings, click OK.

Where can I find more information about protecting my computer and my privacy when I'm online?

You can find information about these topics on the Microsoft Security (http://www.microsoft.com/security) website and the Microsoft Protect Your PC (http://www.microsoft.com/athome/security/protect/windowsxpsp2) website.


How to know if an online transaction is secure

Here are answers to some common questions about online transactions.

What is a secure connection?

A secure connection is an encrypted exchange of information between the website you are visiting and Internet Explorer. Encryption is provided through a document the website provides called a certificate. When you send information to the website, it is encrypted at your computer and decrypted at the website. Under normal circumstances, the information cannot be read or tampered with while it is being sent, but it's possible that someone might find a way to crack the encryption.

Even if the connection between your computer and the website is encrypted, it does not guarantee that the website is trustworthy. Your privacy can still be compromised by way the website uses or distributes your information.

Are secure connections private?

Not necessarily. Even though the information you are sending is encrypted (encoded), an intermediate party might be able to see the website you are connecting to. By knowing the website you are connecting to, the other party might have a pretty good idea what you are doing on that site. For example, if you're looking for a new job using a computer at work, your company might watch for key words in websites or keep a log of visited sites. If you upload a resume to a job website, the document might be encrypted, but your company would still know you're looking for a new job.

How can I tell if I have a secure connection?

In Internet Explorer, you will see a lock icon Picture of the Lock icon in the Security Status bar. The Security Status bar is located on the right side of the Address bar.

The certificate that is used to encrypt the connection also contains information about the identity of the website owner or organization. You can click the lock to view the identity of the website.

Why do I see different colors in the Security status bar?

When you visit a website that uses a secure connection, the color of the Security Status bar tells you whether the certificate is valid, and it displays the level of validation that was performed by the certifying organization.

The following table describes what the Security Status bar colors mean.

Color | What it means
Red | The certificate is out of date, invalid, or has an error. For more information, see "About Certificate Errors" in Related Topics.
Yellow | The authenticity of the certificate or certification authority that issued it cannot be verified. This might indicate a problem with the certification authority's website.
White | The certificate has normal validation. This means that communication between your browser and the website is encrypted. The certification authority makes no assertion about the business practices of the website.
Green | The certificate uses extended validation. This means that communication between your browser and website is encrypted and that the certification authority has confirmed the website is owned or operated by a business that is legally organized under the jurisdiction shown in the certificate and on the Security Status bar. The certification authority makes no assertion about the business practices of the website.

What should I do if I think a website is trying to mislead me about their identity?

If you believe that the site is attempting to mislead you about its identity, you should contact the certification authority whose name appears in the certificate and in the Security Status bar.

If a website has secure transactions, does that mean the website is safe to use?

Not necessarily. The secure (encrypted) connection is not a guarantee that it is safe to use. A secure connection only assures you of the identity of the website, based on the information provided by the certifying organization. You should only consider giving personal information to a website that you know and trust. To learn how to decide if you can trust a website, see How to decide if you can trust a website.

How can I increase the safety of my online transactions?

While there is no guarantee of safety on the web, you can minimize online privacy or security problems by using websites you know and trust. Internet Explorer cannot tell if a website owner is trustworthy. Try to use sites you've used previously or that are recommended by trusted friends or family. You should also turn on Internet Explorer's Phishing Filter to help identify fraudulent websites. For more information about Phishing Filter, see Phishing Filter: frequently asked questions.

What does it mean when I have both secure and non-secure (mixed) content?

Secure and non-secure content, or mixed content, means that a webpage is trying to display elements using both secure (HTTPS/SSL) and non-secure (HTTP) web server connections. This often happens with online stores or financial sites that display images, banners, or scripts that are coming from a server that is not secured.

The risk of displaying mixed content is that a non-secure webpage or script might be able to access information from the secure content.

Note

  • Internet Explorer uses an encrypted protocol called Secure Sockets Layer (SSL) to access secure webpages. These pages use the prefix HTTPS, while regular webpages use HTTP.

I'm having trouble using some websites that include mixed content, what do I do?

If you are having trouble using sites that include mixed content, you might want to temporarily have Internet Explorer allow all mixed content.

To allow mixed content

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click the Custom Level button.
  3. In the Security Settings dialog box, scroll to the Display mixed content setting in the Miscellaneous section, and then click Enable.
  4. Click OK in the Security Settings dialog box, and then click OK to exit Internet Options.

Note

  • After allowing mixed content, you will see webpages with both HTTPS and non-HTTPS content, but Internet Explorer will not show the lock icon.


How to decide if you can trust a website

Knowing when to trust a website depends in part on who publishes the website, what information they want, and what you want from the site. If you're not sure whether to trust a website, consider these questions:

Is the website certified by an Internet trust organization?

Sites that display privacy certification logos have agreed to follow certain practices, such as providing a comprehensive privacy statement. If you read these statements, you should be able to determine what information the site collects and what the site does with that information (for example, whether it shares it with any other companies or uses it to display personalized advertisements). The certification does not indicate that the site collects no information. It means that the privacy statement will tell you what information (if any) the site does collect so you can decide if you want to use that website.

An Internet trust organization is a company that verifies that a website has a privacy statement (a posted notification of how your personal information is used) and that the website gives you a choice of how they use your information. Websites approved by Internet trust organizations are able to display the privacy certification seals, usually somewhere on their home page or order forms. However, these seals don't guarantee that a website is trustworthy; it just means the website complies with the terms acceptable to the Internet trust organization. Additionally, some unscrupulous websites might display the trust logos fraudulently. If you are not sure whether a trust logo is legitimate, contact the trust organization to see if the website is registered with them.

To learn more about these trust organizations, you can go to the TRUSTe (http://www.truste.com) website, the BBB Online (http://www.bbbonline.org) website, or the WebTrust (http://www.webtrust.org) website.

Is the website owned by a company or organization that you know well?

For example, if you bought merchandise from a physical store and were happy with the experience, you might want to try the store's website as well. However, even if you trust the company, always read the website's privacy or terms of use statement. Sometimes a company's website is independent of its stores, and it might have different privacy terms. Look for terms you don't agree with, such as requirements to accept e-mail offers or advertising from the website, or that your information is shared with the company's partners. If you are not comfortable with the terms or behaviors (for example, you do not want to be tracked or to see advertisements), do not use the site.

Does the website ask you for personal information?

If you are asked for personal information, such as credit card numbers or bank information, only provide it if there is a good reason to do so. Also, make sure there is a secure entry form for recording information. Look for a message stating that the information will be encrypted and check for the lock icon Picture of the Lock icon) in the Security Status bar in the Internet Explorer Address bar (do not enter confidential information if there is no lock icon on the Address bar). Also, try to find out what the website's policy is about storing information: Do they keep your credit card number on file? Do they have partners that they share information with? You should be confident that the site is using your information properly and in a secure manner before providing any information.

On a retail website, is there a way to contact someone by phone or mail?

Do they have a phone number that you can call if you have a problem, or that you can use to place an order? Does the website list a street address? Is there a posted return policy with acceptable terms? If the site doesn't provide a phone number or physical address, try contacting the company by e-mail to ask for that information.

If you don't recognize the site, do you have other information to help you decide?

If you are not familiar with a website or it does not have a privacy certification seal, that might not necessarily mean that you cannot trust it. Ask reliable friends or colleagues about the site. Search for references to the site on the Internet to see if a source, such as a magazine or company that you do trust, has referred to it. Read the website's privacy statements or other disclosures (but keep in mind that the site might not necessarily abide by them).

A website might not be trustworthy if:

  • The site is referred to you through an e-mail message from someone you don't know.
  • The site offers objectionable content, such as pornography or illegal materials.
  • The site makes offers that seem too good to be true, indicating a possible scam or the sale of illegal or stolen products.
  • You are lured to the site by a bait and switch scheme, in which the product or service is not what you were expecting.
  • You are asked for a credit card as a verification of identity or for personal information that does not seem necessary.
  • You are asked to provide a credit card number without proof that the transaction is secure.


How to decide if you can trust an e-mail message

E-mail is a great way to keep in touch with other people. Unfortunately, it can also open your computer to security risks, computer viruses, and potentially malicious software if you're not careful about the messages and attachments that you open. Before opening any e-mail message or attachment, be sure that you have an up-to-date antivirus program installed. The antivirus program should be configured to scan messages as they arrive (real-time), and to scan all types of file attachments.

Here are some questions you can ask yourself to help decide whether to open an e-mail message or attachment.

Do you know the person who sent you the e-mail message?

Is the message from a person or organization that you know and trust? If the message is from someone you've never heard of, be cautious. If it appears to be from someone you know, be suspicious of odd or inappropriate subject lines such as RE: Your archive, or attachments that contain program files (executable files) such as price.exe. Many viruses can mimic e-mail addresses to make it look like the message is from someone you know.

Have you received e-mail from this sender before?

If you know the person or company sending the message, but you've never received e-mail from them before, make sure you know why you're getting a message now. Check the text in the Subject line and the file name of the attachment, if there is one. If any of that text seems suspicious, delete the message or make sure it is scanned using up-to-date antivirus software before opening it.

Were you expecting e-mail from this sender?

Were you expecting a message or attachment from the sender with the subject or file name? If not, send a separate e-mail message to the sender (don't click Reply) and ask if he or she really sent this e-mail message.

Does the subject line or attachment file name make sense?

Junk e-mail and viruses often use random characters or words in the subject line or attachment file name to bypass content or spam filters. An unexpected message from a friend that has gibberish in the subject line might be sent by a virus that mimics (or spoofs) your friend's e-mail address. Subject line messages that urge you to do something, for example, Important! Open the attachment immediately! might indicate that the e-mail message might not be safe to open. An attachment with a double file name extension, such as Sample.jpg.exe, is not a file that someone would normally send, and could be a virus.

Important

  • Before you open any e-mail that has an attachment, make sure that your antivirus program is up to date and that it's turned on (this allows it to scan attachments).


When to trust a software publisher

A software publisher is a person or company that creates or packages software. The publisher can be the website you are downloading a file from or a software retailer. Before deciding to trust a software publisher, ask yourself the following questions.

Is the software from a trusted source?

Choose software from a publisher you already trust, such as a widely recognized company or website. Consider a company or website you've had a satisfactory experience with previously, or one that has been recommended by someone you trust.

Do you need the software, and do you know what it does?

Some websites will try to get you to download software that you don't need. Research the software and find out why the website is asking you to download it.

Does the software have a digital signature?

If so, check the digital signature to be sure that it's valid, that the software publisher is the one you expected, and that the file has not been tampered with. You can view the digital signature by clicking the publisher link in the Internet Explorer security dialog box that is displayed when you download a file.

A digital signature can show you:

  • Whether the software has a current certificate. Make sure the certificate has not expired or been revoked, possibly indicating a problem with the company or software.
  • The identity of the software publisher.
  • Whether the program has been tampered with (possibly by a virus). If the program file has been changed, the digital signature will be invalid. This will be shown in the security report when you click the Security Status bar to right of the Address bar. The security report will show you who the publisher is, and whether the file has been tampered with.


Block or unblock a publisher

To block or unblock a publisher

Internet Explorer lets you block or allow publishers of downloadable software. The Publisher is identified by the digital signature applied to the file that is downloaded. If the file is unsigned, changing these settings will have no effect. For more information about digital signatures and certificates, click Related Topics.

To block a publisher

If a file is being downloaded to your computer, you might see a security warning dialog box. If it has a More options button, you have the ability to prevent this publisher from downloading more software to your computer.

  1. On the security warning message, click More options.
  2. Click Never install software from publisher name.

To unblock a publisher

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Content tab, and then click Publishers.
  4. Click the Untrusted Publishers tab, click the publisher you want to unblock, click Remove, and then click Yes to confirm that you want to unblock that publisher.
  5. Click Close, and then click OK.


Pop-up Blocker: frequently asked questions

Here are answers to some common questions about pop-ups and Pop-up Blocker.

What is a pop-up window?

A pop-up is a small web browser window that appears on top of the website you're viewing. Pop-up windows often open as soon as you visit a website and are usually created by advertisers.

What is Pop-up Blocker?

Pop-up Blocker is a feature in Internet Explorer that lets you limit or block most pop-ups. You can choose the level of blocking you prefer, from blocking all pop-up windows to allowing the pop-ups that you want to see. When Pop-up Blocker is turned on, you will get an Information bar message saying "Pop-up blocked. To see this pop-up or additional options click here."

How do I turn Pop-up Blocker on or off?

Pop-up Blocker is turned on in Internet Explorer by default. To turn it off or to turn it on again if you've already turned it off, follow these steps:

To turn Pop-up Blocker on or off

  1. In Internet Explorer, click the Tools button, and then click Pop-up Blocker.
  2. Do one of the following:
    • To turn off Pop-up Blocker, click Turn Off Pop-up Blocker.
    • To turn on Pop-up Blocker, click Turn On Pop-up Blocker.

Can I see a pop-up that Internet Explorer blocked?

Yes. Follow these steps:

  1. In Internet Explorer, navigate to a website with a pop-up, and then click the Information bar when it notifies you that a pop-up window has been blocked.
  2. Click Show Blocked Pop-up.

You can allow a pop-up to be displayed by pressing CTRL+ALT as you click a link to open a website that has pop-ups.

How can I choose to allow pop-ups from a specific website?

By default, Internet Explorer displays pop-ups that appear as a result of you clicking a link or button. Pop-up Blocker blocks pop-ups that are displayed automatically (without you clicking a link or button). If you want to allow a specific website to display automatic pop-ups, follow these steps:

  1. In Internet Explorer, click the Tools button, click Pop-up Blocker, and then click Pop-up Blocker Settings.
  2. In the Address of website to allow box, type the address (or URL) of the website you want to see pop-ups from, and then click Add.
  3. Repeat step 2 for every website you want to allow pop-ups from. When you are finished adding websites, click Close.

I turned on Pop-up Blocker but I still see some pop-ups. Why?

The following are some common reasons why you might still be seeing pop-ups:

  • You might have software, such as adware or spyware, on your computer that is opening pop-up windows. To stop these pop-ups, you will have to identify the software that is opening them, and then remove it or change its settings to stop it from opening pop-up windows. For information about detecting and removing adware and spyware, see Spyware: frequently asked questions.
  • Some windows with active content are not blocked.
  • Internet Explorer will not block pop-ups from websites that are in the Local intranet or Trusted sites content zones. If you want the pop-ups from these websites to be blocked, you have to remove the websites from these zones. For more information, see "Understanding security zones" in Related Topics.
  • Internet Explorer will not block pop-ups from sites that have been added to the list of sites you allow pop-ups from.

    To remove a website from your list of sites that allow pop-ups

    1. In Internet Explorer, click the Tools button, click Pop-up Blocker, and then click Pop-up Blocker Settings.
    2. In the Address of website to allow box, click the website you want to remove from the list, and then click Remove.
    3. Repeat step 2 for every website you want to remove from the list of websites that can display pop-ups. When you are finished, click Close.

I don't want to see pop-ups, even if they are opened when I click a link or button on a website. Can I set Internet Explorer to block all pop-ups?

Yes. Follow these steps:

To block all pop-ups

  1. In Internet Explorer, click the Tools button, click Pop-up Blocker, and then click Pop-up Blocker Settings.
  2. Under Filter level, select High: Block all pop-ups, and then click Close.

If you want to see pop-ups that are blocked when you have this setting turned on, hold down CTRL + ALT while the window opens.

How do I change the Pop-up Blocker settings?

  1. In Internet Explorer, click the Tools button, click Pop-up Blocker, and then click Pop-up Blocker Settings.
  2. Make any changes that you would like, and then click Close.

How do I make Pop-ups display in a tab?

By default, pop-ups display in separate windows. If you prefer to have pop-ups display in tabs, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, under Tabs, click Settings.
  3. In the Tabbed Browsing Settings dialog box, click Always open pop-ups in new tab, and then click OK twice.


What's a digital signature?

A digital signature is an electronic security mark that can be added to files. It allows you to verify the publisher of a file and helps verify that the file has not changed since it was digitally signed.

What if a file does not have a valid digital signature?

If the file does not have a valid digital signature, there is no way for you to be sure that the file is actually from the source it claims to be from, or that it has not been tampered with (possibly by a virus) since it was published. It's safer to avoid opening the file unless you know for certain who created it and whether the contents are safe to open. Click Related Topics for information about various file types.

Does a valid digital signature mean that the file is safe?

No, a valid digital signature does not verify that the contents of the file are harmless. You must decide if you should trust the contents of the file based on the identity of the publisher and where you are downloading the file from. Click Related Topics for information about deciding whether you should open a file you've downloaded.


Using secure Internet sites for transactions

Many Internet sites are set up to prevent unauthorized people from seeing the information that is sent to or from those sites. These are called secure sites. Internet Explorer supports the security protocols used by secure sites. When you visit a secure website, the site automatically sends you its certificate, and Internet Explorer displays a lock icon in the Security Status bar to the right of the Address bar. You can view a security report for the website by clicking the lock.

If you are about to send information (such as your credit card number) to a site that is not secure, Internet Explorer will warn you. If the site claims to be secure but its security credentials are in question, Internet Explorer will warn you that the site might have been tampered with or might be misrepresenting itself.


Using certificates for privacy and security

A certificate is a digital document that helps verify the identity of a person or website. Certificates are issued by companies known as certification authorities. You can use certificates to help protect your personally identifiable information on the Internet and to help protect your computer from unsafe software.

Internet Explorer uses two different types of certificates:

  • A personal certificate helps verify that you are who you say you are. This information is used when you send personal information over the Internet to a website that requires a certificate verifying your identity. You can help control the use of your identity by having a private key on your computer. When used with e-mail programs, security certificates with private keys are also known as digital IDs.
  • A website certificate helps identify that a specific website is genuine. It helps to ensure that another website does not assume the identity of the original secure site. When you are sending personal information over the Internet, it is a good idea to check the certificate of the website to make sure that you are communicating with the site that you expect. When you are downloading software from a website, you can view certificates to help verify that the software is coming from a known, reliable source and that it has not been tampered with in transit.

How do security certificates work?

Security certificates work by electronically associating an identity (for example, a person sending an e-mail message) with a particular message, file, or website. This helps ensure, for example, that a message can only be opened by the person to whom it was sent. The certificate provides identity authentication that is verified by a certification authority, for the message, file, or website.

When you connect to a secure website, the site sends its certificate to Internet Explorer. Internet Explorer examines the certificate to help ensure that it was issued by a certification authority and has not expired.

Certificates can also be used to encrypt (scramble) a message or file. This helps to make sure that only the person to whom the message is sent can read it and to verify the identity of the person who sent the message to the person who receives it.

Where do you get your own security certificates?

Security certificates are issued by independent certification authorities. There are different classes of security certificates, each one providing a different level of credibility. You can obtain a security certificate from many different certification authorities.


Cookies: frequently asked questions

Cookies are small text files that some websites put on your computer to store a variety of information about you and your preferences. Here are answers to some common questions about cookies.

What are cookies used for?

Websites use cookies to offer a personalized experience to users and to gather information about website use. Many websites also use cookies to store information that provides a consistent experience between sections of the site, such as a shopping cart or customized pages. With a trusted website, cookies can enrich your experience by allowing the site to learn your preferences or allowing you to skip having to sign in every time you go to the website. However, some cookies, such as those saved by banner ads, might put your privacy at risk by tracking sites you visit.

Can I block cookies?

Yes, you can block or allow cookies on all websites or you can choose which websites' cookies are allowed. For more information, click Related Topics.

Should I block all cookies?

Not necessarily. Blocking all cookies can help protect your privacy, but it might limit your experience on some websites. Be selective about which websites you allow cookies for. You can start by blocking all cookies, then allow cookies as needed for websites that you trust.

How do I delete cookies?

To delete all cookies

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. Click Delete cookies, and then click Yes.
  4. Click Close, and then click OK.

Notes

  • Deleting all cookies might cause some webpages to work incorrectly.
  • For more information about cookies, including information about how to delete an individual cookie, click Related Topics.

What are Temporary cookies?

Temporary, or session, cookies are removed from your computer after you close Internet Explorer. Websites use them to store temporary information, such as items in your shopping cart.

What are Persistent cookies?

Persistent, or saved, cookies remain on your computer after you close Internet Explorer. Websites use them to store information, such as your sign-in name and password, so that you don't have to sign in each time you go to a particular site. Persistent cookies can remain on your computer for days, months, or even years.

What are First-party cookies?

First-party cookies come from the website that you're viewing and can be either persistent or temporary. Websites might use these cookies to store information that they'll reuse the next time you go to that site.

What are Third-party cookies?

Third-party cookies come from other websites' advertisements (such as pop-up or banner ads) on the website that you're viewing. Websites might use these cookies to track your web use for marketing purposes.

Where are cookies stored?

Cookies are stored is in a folder named Cookies which is stored inside the Documents and Settings folder. By default, the path is C:\Documents and Settings\your user name\Cookies.


Content Advisor: frequently asked questions

Here are answers to some common questions about Internet Explorer Content Advisor.

What is Content Advisor?

Content Advisor is a tool for controlling the types of content that your computer can access on the Internet. After you turn on Content Advisor, only rated content that meets or exceeds your criteria can be viewed. You can adjust the settings to suit your preferences.

What settings can I control with Content Advisor?

You can do the following:

  • View and adjust the ratings settings to restrict or allow content in each of the following categories: language, nudity, sex, and violence.
  • Create a list of websites that should always be blocked, regardless of how their content is rated.
  • Create a list of websites that can always be viewed, regardless of how their content is rated.
  • View and change the ratings systems Content Advisor uses.

Is Content Advisor turned on by default?

No, you must turn on Content Advisor if you want to use it.

How do I turn on Content Advisor?

To turn on Content Advisor

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under Content Advisor, click Enable.

    If you've never turned on Content Advisor before, continue to the next step. If you've previously turned on Content Advisor, type your supervisor password and click OK until you return to Internet Explorer. Content Advisor is now turned on and you should not continue to the next step.

  3. Click a category in the list, and then move the slider to set the limits you want to use.
  4. Repeat this process for each category you want to limit, and then click OK.
  5. Type a supervisor password, confirm it, and type a hint that will remind you what the password is. Click OK.

Note

  • To prevent others from visiting objectionable websites that don’t use ratings labels, click the Approved Sites tab, and change the settings as appropriate.

When Content Advisor is first turned on, what level of restriction does it have?

Content Advisor is set to the most conservative (least likely to offend) settings when you first turn it on. In addition to blocking objectionable content, it also blocks any unrated content. You can adjust these settings to match your preferences.

How do I allow people to view content that is restricted or unrated?

To allow others to view restricted or unrated content

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under Content Advisor, click Enable. If you've previously enabled Content Advisor, click Settings, and then type the supervisor password.
  3. To allow others to view restricted content, click the General tab, and then select the Supervisor can type a password to allow users to view restricted content check box.
  4. To allow others to view unrated content, select the Users can see sites that have no rating check box, and then click OK.
  5. If a supervisor password has not previously been set up for Content Advisor, you will be prompted to create one.

Note

  • Allowing unrated websites might allow users to browse to objectionable content.

How do I change what type of content is allowed?

To change the type (or level) of content that is allowed

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then do one of the following:
    • If you've never turned on Content Advisor before, under Content Advisor, click Enable.
    • If you've turned on Content Advisor before, click Settings, type the supervisor password, and then click OK.
  3. Click a category of content in the list, and then move the slider to set the limits you want. Repeat this for each category you want to change, and then click OK.
  4. If a supervisor password has not previously been set up for Content Advisor, you will be prompted to create one. Fill in the requested password and hint information, and then click OK.
  5. Click OK to close.


What is phishing?

Online phishing (pronounced like the word fishing) is a way to trick computer users into revealing personal or financial information through a fraudulent e-mail message or website. A common online phishing scam starts with an e-mail message that looks like an official notice from a trusted source, such as a bank, credit card company, or reputable online merchant. In the e-mail message, recipients are directed to a fraudulent website where they are asked to provide personal information, such as an account number or password. This information is then usually used for identity theft. For information about how to help protect yourself against these types of scams, click Related Topics.


Phishing Filter: frequently asked questions

Here are answers to some common questions about Internet Explorer Phishing Filter.

What is phishing?

Online phishing (pronounced like the word fishing) is a way to trick computer users into revealing personal or financial information through an e-mail message or website. A common online phishing scam starts with an e-mail message that looks like an official notice from a trusted source, such as a bank, credit card company, or reputable online merchant. In the e-mail message, recipients are directed to a fraudulent website where they are asked to provide personal information, such as an account number or password. This information is then usually used for identity theft.

What is Phishing Filter and how can it help protect me?

Phishing Filter is a feature in Internet Explorer that helps detect phishing websites. Phishing Filter uses three methods to help protect you from phishing scams. First, it compares the addresses of websites you visit against a list of sites reported to Microsoft as legitimate. This list is stored on your computer. Second, it helps analyze the sites you visit to see if they have the characteristics common to a phishing website. Third, with your consent, Phishing Filter sends some website addresses to Microsoft to be further checked against a frequently updated list of reported phishing websites.

If the site you are visiting is on the list of reported phishing websites, Internet Explorer will display a warning webpage and a notification on the Address bar. From the warning webpage, you can continue or close the page. If the website contains characteristics common to a phishing site but isn't on the list, Internet Explorer will only notify you in the Address bar that it might possibly be a phishing website.

What information does Phishing Filter send to Microsoft?

When you use Phishing Filter to check websites automatically or manually, the address of the website you are visiting will be sent to Microsoft, together with some standard information from your computer such as your computer's IP address, browser type, and Phishing Filter version number. To help protect your privacy, the address information sent to Microsoft is encrypted using SSL and limited to the domain and path of the website you are visiting. Other information that might be associated with the web address, such as search terms, information you entered in forms, or cookies, will not be sent.

For example, if you visited the MSN search website at http://search.msn.com and entered "MySecret" as the search term, instead of sending the full address "http://search.msn.com/results.aspx?q=MySecret&FORM=QBHP", Phishing Filter would remove the search term and only send "http://search.msn.com/results.aspx".

Anonymous statistics about your use of Internet Explorer and Phishing Filter will also be sent to Microsoft, such as the time and total number of websites browsed since an address was sent to Microsoft for analysis. This information, along with the information described above, will be used to analyze and improve the Phishing Filter service. Microsoft will not use the information it receives to personally identify you. For more information about what information is sent and how it is used, see the Internet Explorer privacy statement (http://www.microsoft.com/windowsvista/privacy/ieprivacy_pr7.mspx).

Is Phishing Filter always on?

No. When you first install Internet Explorer, Phishing Filter only compares the addresses of the websites you visit against the list of legitimate websites that is saved on your computer. It also helps analyze these sites to see if they have the characteristics common to a phishing website. No information is sent to Microsoft unless you choose to send it. The first time you visit a website that is not on the legitimate website list, you will be prompted to indicate whether you want to check websites automatically. If you choose this option, Phishing Filter will send certain website addresses to Microsoft to be checked against a frequently updated list of reported phishing sites and alert you about suspicious or reported phishing websites.

How do I check a website manually?

If you choose not to check websites automatically, the Phishing Filter icon Picture of the Phishing Filter icon will be displayed on the Internet Explorer status bar. To check the website, click the icon, and then click Check This Website. You can also check websites from Internet Explorer by following these steps.

To manually check a website

  1. In Internet Explorer, go to a website you want to check.
  2. Click the Tools button, click Phishing Filter, and then click Check This Website.

What does it mean when a website is flagged as suspicious?

A website that is flagged as suspicious has some of the characteristics typical of phishing websites, and it is neither on the list of legitimate websites that is stored on your computer nor on the online list of reported phishing websites. The website might actually be legitimate, but you should not submit any personal or financial information to it unless you are certain that the site is trustworthy.

What does it mean when a website is flagged as a reported phishing site?

A reported phishing website is one that has been identified as fraudulent and reported to Microsoft.

One of the sites I visit is being flagged by Phishing Filter, but it's not a phishing website. What can I do?

If you believe that a website has been mistakenly flagged as a phishing site, do the following:

To report errors to Microsoft

  1. In Internet Explorer, go to the website that is inaccurately being reported as a phishing website.
  2. Click the Tools button, click Phishing Filter, and then click Report This Website.
  3. Use the webpage that is displayed to report the error.

How do I report a phishing website?

To report a phishing website

  1. In Internet Explorer, go to the phishing website.
  2. Click the Tools button, click Phishing Filter, and then click Report This Website.
  3. Use the webpage that is displayed to report the website.

Should I believe a website that tells me to ignore the Phishing Filter warning?

No. Phishing Filter uses reputable information to alert you to phishing and fraudulent websites. In addition, website owners can contact Microsoft if their websites are mistakenly flagged as a phishing site. If a website tells you to ignore Phishing Filter's warnings, do not ignore the warnings and do not enter any personal or financial information.

How do I turn Phishing Filter off?

To turn Phishing Filter off

  1. In Internet Explorer, click the Tools button, click Phishing Filter, and then click Phishing Filter Settings.
  2. Scroll to the Phishing Filter section under Security in the list of options, click Disable Phishing Filter, and then click OK.

Phishing Filter will not check or warn you about phishing sites now.

How do I turn Phishing Filter back on?

To turn on Phishing Filter

  1. In Internet Explorer, click the Tools button, click Phishing Filter, and then click Turn On Automatic Website Checking.
  2. Select Turn on automatic Phishing Filter, and then click OK.

What can I do to help protect myself from online phishing?

Here are some quick tips that might help protect you from online phishing:

  • Never give out personal information in an e-mail, instant message, or pop-up window.
  • Do not click links in e-mail and instant messages from strangers or any link that looks suspicious. Because even messages from friends and family can be faked, check with the sender to be sure they actually sent the message.
  • Only use websites that provide privacy statements or information about how they use your personal information.
  • Routinely review your financial statements and credit history and report any suspicious activity.
  • Keep Windows and Internet Explorer updated. To do this, click the Tools button, and then click Windows Update.

What should I do if I think I've entered my personal or financial information into a phishing website?

Immediately doing the following might help:

  • Change the passwords or PINs on all your online accounts.
  • Place a fraud alert on your credit reports. Check with your bank or financial advisor if you're not sure how to do this.
  • Contact the bank or the online merchant directly. Do not follow the link in the fraudulent e-mail.
  • If you know of any accounts that were accessed or opened fraudulently, close those accounts.

What do I do if I discover that I've been a victim of fraud?

Immediately doing the following might help:

  • File a report with the local police.
  • Place a fraud alert on your credit reports. Check with your bank or financial advisor if you're not sure how to do this.
  • Change the passwords or PINs on all your online accounts.
  • Contact the bank or the online merchant directly. Do not follow the link in the fraudulent e-mail.
  • If you know of any accounts that were accessed or opened fraudulently, close those accounts.


Spyware: frequently asked questions

Here are answers to some common questions about spyware.

What is spyware?

Spyware is software that can display advertisements (such as pop-up ads), collect information about you, or change settings on your computer, generally without obtaining your consent.

How can I tell if I have spyware on my computer?

You most likely have some form of spyware on your computer if:

  • You notice new toolbars, links, or favorites that you do not want and did not place in your web browser.
  • The default home page, mouse pointer, or search program changes.
  • You type the address for a specific website (for example, a search engine), but are taken to another website without notice.
  • You see lots of pop-up ads, even if you're not connected to the Internet.
  • The computer performs slowly or seems unstable.

Some spyware might not have any symptoms. Its purpose is to collect information from you and your computer. Installing an antispyware program, such as Microsoft Windows Defender, can help you scan your computer to find and remove spyware. To install Windows Defender, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website.

Where does spyware come from?

Spyware can be installed by websites, downloaded programs, or a program you might install from a CD-ROM or floppy disk. Spyware is most commonly installed through free software, such as file sharing software, screen savers, or search toolbars.

Can spyware be installed without my knowledge?

Yes, some spyware can be installed from a website directly through an embedded script or program in a webpage. However, if you keep Windows updated and keep the security settings in Internet Explorer at recommended levels, that threat can be minimized.

What do I do when a pop-up won't go away until I agree to install a program or change my home page?

Some websites will repeatedly display pop-ups asking you to install a toolbar or change your home page. When this happens, try closing the browser window. If the pop-up reappears, right-click the Internet Explorer window button in the taskbar at the bottom of your screen, and then click Close Group. As a last resort, close any other programs you have open, and restart your computer.

How can I prevent spyware from infecting my computer?

Always run an antispyware and antivirus program, such as Microsoft Windows Defender. antispyware programs can prevent some spyware from being installed on your computer and they can also scan your system automatically to find and remove spyware that might already be installed. Antivirus programs often have spyware protection, so be sure to run an antivirus program and keep it updated.

Keeping Windows up to date is also important. Security updates are often issued to help prevent spyware from being installed.

When you visit websites, do not automatically agree to download anything the site offers. If you download free software, such as file sharing programs or screen savers, read the license agreement carefully. Look for clauses where you must accept advertising and pop-ups from the company, or that the software will send certain information back to the software publisher. For more information, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website.

How do I remove spyware?

The best way to remove spyware is with an antispyware product, such as Microsoft Windows Defender, which scans and deletes spyware from your computer. To install Windows Defender, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website. For more information about removing spyware, click Related Topics.


Viruses: frequently asked questions

Here are answers to some common questions about viruses, worms, and Trojan horses.

What is a virus?

A virus is a program that replicates itself. It spreads by making copies of itself on a computer or by inserting computer code into program or operating system files. Viruses don't always damage files or computers, but they usually affect a computer's performance and stability. For a virus to infect a computer or to spread, you usually have to do something, such as open an infected e-mail attachment.

Are all viruses harmful?

Yes, to varying degrees. Virus damage can range from slowing computer performance to a loss of information and programs. In the worst case, viruses delete or modify information and programs on your computer. Some e-mail viruses send confidential information in messages when spreading. Even when a virus is not directly damaging information, the process of replication can slow your computer and Internet connection.

What is a worm?

A worm is computer code that spreads without user interaction. Most worms begin as e-mail attachments that infect a computer when they're opened. The worm scans the infected computer for files, such as address books, or temporary webpages, that contain e-mail addresses. The worm uses the addresses to send infected e-mail, and often mimics (or spoofs) the address line in subsequent e-mail messages so that those infected messages appear to be from someone you know. Worms then spread automatically through e-mail and networks, often overwhelming those systems before the cause is known. Worms aren't always destructive to computers, but they usually cause computer and network performance and stability problems.

What is a Trojan horse?

A Trojan horse is a malicious software program that hides inside other program. It enters a computer hidden inside a legitimate program, such as a screen saver. It then puts code into the operating system, which enables a hacker to access the infected computer. Trojan horses do not usually spread by themselves; they are spread by viruses, worms, or downloaded software.

What is a blended threat?

A blended threat is a combination of some or all of the malicious programs discussed in the sections above. Blended threats often begin when someone interacts with a virus (such as opening an unsafe e-mail attachment). The virus automatically propagates using worm behavior, and then installs a Trojan horse on the infected computer.

How do I prevent viruses?

Install an antivirus program. To be most effective, an antivirus program should always be turned on, should scan incoming e-mail, and should scan file access. To find more information, click Related Topics.

How do I know if my computer has a virus?

There is no single indicator of a virus infection, but some of the more common effects include poor computer performance, pop-up ads displaying (even when you have turned on a pop-up blocker or disconnected from the Internet). To find more information, click Related Topics.

How do I check for and remove viruses?

To check for viruses and remove them from your computer, you need to run antivirus software. To find more information, click Related Topics.


How can I tell if my computer has a virus?

If you can answer "yes" to any of the following questions, your computer might have a virus.

  • Is your computer running very slowly?

    A common symptom of a virus is much slower than normal computer performance. However, there can be other reasons for slow performance, including a hard disk that needs defragmenting, a computer that needs more memory (RAM), or the existence of spyware or adware. For more information about spyware, or to install antispyware software, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software/default.mspx) page on the Microsoft website.

  • Are you getting unexpected messages or are programs starting automatically?

    Some viruses can cause damage to Windows or to some of your programs. The results of this damage might include messages appearing unexpectedly, programs starting or closing automatically, or Windows shutting down suddenly.

  • Is your modem or hard disk working overtime?

    An e-mail virus works by sending many copies of itself by e-mail. One indicator of this is that the activity light on your broadband or external modem is constantly lit; another is the sound of your computer's hard disk continually working. These are not always symptoms of a computer virus, but when combined with other problems, can indicate a virus infection.

To check for viruses, scan your computer with an antivirus program. New viruses appear every day, so keeping your antivirus program updated is important. For more information about computer security, go to the Security at Home (http://www.microsoft.com/athome/security/default.mspx) page on the Microsoft website.


How do I remove a computer virus?

If you think that your computer might have a virus, there are a couple of things you can do to try to remove it.

Install and use antivirus software. The most effective way to remove viruses (and to prevent viruses from being installed on your computer) is to install and use antivirus software. Antivirus software scans your computer for viruses and deletes them if possible. Antivirus software is available from many software companies and sources online. Visit the Security at Home (http://www.microsoft.com/athome/security/default.mspx) website for more information about security and virus prevention.

Use the Malicious Software Removal Tool. Microsoft offers the Malicious Software Removal Tool, which is updated once a month. Visit the Malicious Software Removal Tool (http://www.microsoft.com/security/malwareremove) website to install the tool and learn more about it. The tool scans your computer for most new viruses and malicious software. After you run the tool, you will get a report that describes any malicious software found on your computer and a list of all the viruses it scanned for. You can click a virus name to view a description of it and to see other related information.


How can I help protect my computer from viruses?

Protecting your computer from viruses and other threats isn't difficult, but you have to be diligent.

Install an antivirus program

Installing an antivirus program and keeping it up to date can help defend your computer against viruses. Antivirus programs scan for viruses trying to get into your e-mail, operating system, or files. New viruses appear daily, so check the antivirus manufacturer's website frequently for updates. Most antivirus programs are sold with annual subscriptions, which can be renewed as needed. To find an antivirus scanner, visit the Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp) webpage.

Do not open e-mail attachments

Many viruses are attached to e-mail messages and will spread as soon as you open the e-mail attachment. It's best not to open any attachment unless it is something you are expecting. Microsoft Outlook and Outlook Express help block potentially dangerous attachments.

Keep Windows updated

Periodically, Microsoft releases special security updates that can help protect your computer. These updates can help prevent viruses and attacks from hackers by closing possible security holes. The best way to make sure that Windows stays updated is to turn on Automatic Updates. To do this, go to the Automatic Updates (http://update.microsoft.com) website.

Use a firewall

Windows Firewall or any other firewall can help alert you to suspicious activity if a virus or worm attempts to connect to your computer. It can also help block viruses, worms, and hackers from attempting to copy potentially harmful programs to your computer.


What you should know about opening files from the Internet or e-mail

The most common way for computer viruses to spread is through files that you get from the Internet or e-mail. So before you download a file or click an e-mail attachment, consider:

Does that file have a virus?

You won't know unless you check. Make sure you have an up-to-date antivirus program installed and set to scan all incoming e-mail attachments and downloaded files. If your antivirus program does not scan incoming attachments and downloaded files, then download any files and manually scan them before opening them. Keeping your antivirus program up to date improves its chances of catching the latest known virus.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of antivirus programs, go to the Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp) website.

What do you know about that e-mail attachment?

Before you open an e-mail message or attachment, consider:

  • Do you know and trust the person who sent the e-mail message? If you get e-mail from a person or business you've never heard of before, you should be cautious.
  • Have you exchanged e-mail with this person before? If you get e-mail from someone you know but have never corresponded with, ask yourself if there is any reason you're getting this message now—especially if the message has a file attachment or contains a link to a website.
  • Does the message on the subject line make sense coming from the sender? If the subject line does not make sense, it might indicate that the subject line was generated by a virus.

If the answer to all of the questions above is no, it's probably best to delete the message.

If you know the sender of the message but the message looks suspicious, don't hesitate to send a different message to the sender asking if they really sent the e-mail to you. It's much easier to check before you open the message than it is to clean viruses off of your computer.

Can I trust every website?

No. Not every Internet website is safe. Be cautious of a website if:

  • You were referred to the site by e-mail from someone you don't know.
  • The site contains objectionable material, such as pornography.
  • The site makes offers that seem too good to be true.
  • You are asked to provide a credit card number but there is no indication that the website has secure transactions.
  • The site offers free membership but asks you to provide extensive personal information that does not seem necessary or that you do not want to provide.

More trustworthy sites tend to:

  • Be certified by an Internet trust organization such as BBBonline, TRUSTe, or WebTrust. Look for their logo on the site and click the logo to make sure it is authentic.
  • Provide a privacy statement that you can understand and that you are comfortable with.
  • Provide a way to contact the creator or organization—a physical location, phone number, e-mail address, or mailing address.
  • Have a clearly posted return policy (when applicable) that allows you to return the merchandise if you are not satisfied.
  • Offer proof of secure transactions, such as a statement that your credit card information will be encrypted, or a symbol in the browser status area that indicates the transaction is secure.

Is it safe to download that file?

You can help protect your computer by thinking carefully before you download a file.

  • Heed any warnings. When a website attempts to download a file to your computer, Internet Explorer will display a message about saving, running, or installing the file. If the message contains a yellow caution icon, then the file has been identified as a type that might pose a risk.
    • Make sure the message shows the file source (publisher name). If the publisher can't be identified, it is safer to delete the file unless you know for certain who created it.
    • Make sure you completely trust the website providing the file.
    • Make sure the file is something you requested or are expecting.
  • Consider the content. Picture, music, and plain-text files are sometimes less likely to be harmful. These file types have names that end with a three-letter extension such as .jpg, .gif, .mp3, or .txt.


Recognizing dangerous file types

Dangerous file types are those that have the potential to contain viruses or spyware that might damage your information or the programs on your computer. The types of files that are considered dangerous are usually program files (.exe), macros, or .com files. The vast majority of files with these extensions do not contain viruses. However, when you download or receive these types of files in e-mail, you should not open them unless you trust the source or you were expecting the file.

The following are the most common file name extensions used by e-mail viruses and other malicious software. When you receive files with these extensions, save them to a folder on your computer and scan them immediately with up-to-date antivirus software before opening them.

Extension | File type
.exe | Program
.com | MS-DOS program
.pif | Shortcut to MS-DOS program
.bat | Batch file
.scr | Screen saver file

Notes

  • Some viruses use files with two extensions to make dangerous files look like safe files. For example, Document.txt.exe or Photos.jpg.exe. The extension farthest to the right is the one that Windows will try to open. It is extremely rare that a legitimate file would have two extensions, so avoid downloading or opening this type of file.
  • There are files that are safer to download than program or macro files, such as text (.txt) or image (.jpg, .gif, .png) files. However, you should still be wary of unknown sources, as some of these files have been known to have specially crafted formats that can exploit weaknesses in computer systems.


Delete webpage history

As you browse the web, Internet Explorer stores information about the websites you visit and information that you're frequently asked to provide (for example, your name and address). The following is a list of the type of information that Internet Explorer stores:

  • Temporary Internet files
  • Cookies
  • A history of the websites you've visited
  • Information that you've entered into websites or the Address bar (this is referred to as saved form data and it includes things such as your name, address, and the website addresses that you've visited before)
  • Passwords
  • Temporary information stored by browser add-ons

Usually, it's helpful to have this information stored on your computer because it can improve web browsing speed or automatically provide information so you don't have to type it in over and over. You might want to delete that information if you're cleaning up your computer or are using a public computer and do not want any of your personal information to be left behind.

To delete all browsing history

  1. In Internet Explorer, click the Tools button, and then click Delete Browsing History.
  2. Click Delete all, and then click Yes.

To delete a specific category of browsing history

  1. In Internet Explorer, click the Tools button, and then click Delete Browsing History.
  2. Click the Delete button next to the category of information you want to delete, click Yes, and then click Close.

Notes

  • You should close Internet Explorer when you're done to clear cookies that are still in memory from your current browsing session. This is especially important when using a public or kiosk computer.
  • Deleting all browsing history does not delete your list of favorites or subscribed feeds. It only deletes temporary files, browsing history, cookies, saved form information, and saved passwords.


Understanding Internet Explorer's Information bar

Understanding the Internet Explorer Information bar

The Information bar is the place where Internet Explorer displays information about security, downloads, blocked pop-up windows, and other activities. It is located at the top of the webpage.

Picture of the Information bar

When will I see the Information bar?

If Internet Explorer is still using its original settings, you'll see the Information bar in the following circumstances:

  • If a website tries to install an ActiveX control on your computer or run an ActiveX control in an unsafe manner.
  • If a website tries to open a pop-up window.
  • If a website tries to download a file to your computer.
  • If a website tries to run active content on your computer.
  • If your security settings are below recommended levels.
  • If you access an intranet webpage, but have not turned on intranet address checking (for more information, see Changing intranet security settings).
  • If you started Internet Explorer with add-ons disabled.
  • If you need to install an updated ActiveX, or add-on program.

How do I use the Information bar?

When you see a message in the Information bar, click the message to see more information or to take action.

Can I turn off the Information bar?

Yes, you can, but we don't recommend it. If you do want to turn it off, you have to turn it off for each type of message.

To turn off Information bar messages about blocked pop-up windows

  1. Open Internet Explorer.
  2. Click the Tools button, click Pop-up Blocker, and then click Pop-up Blocker Settings.
  3. Clear the Show Information Bar when a pop-up is blocked check box, and then click Close.

To stop the Information bar from blocking file and software downloads

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Security tab, and then click Custom level.
  4. Do one or both of the following:
    • To turn off the Information bar for file downloads, scroll to the Downloads section of the list, and then, under Automatic prompting for file downloads, click Enable.
    • To turn off the Information bar for ActiveX controls, scroll to the ActiveX controls and plug-ins section of the list, and then, under Automatic prompting for ActiveX controls, click Enable.
  5. Click OK, click Yes to confirm that you want to make the change, and then click OK again.

Which messages are displayed in the Information bar?

The following table lists the messages that might appear in the Information bar along with a description of what each message means.

Message | What it means
To help protect your security, Internet Explorer stopped this site from installing an ActiveX control on your computer. Click here for options. | A webpage tried to install an ActiveX control and Internet Explorer blocked it. If you want to install the ActiveX control, click the Information bar, and then click Install Software. Because ActiveX controls are potentially hazardous to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install it.
Pop-up blocked. To see this pop-up or additional options click here. | Pop-up Blocker has blocked a pop-up window. You can turn Pop-up Blocker off or allow pop-ups temporarily by clicking the Information Bar.
This website is using a scripted window to ask you for information. If you trust this website, click here to allow scripted windows. | Internet Explorer has blocked a website from using a small program (called a script) to display a separate window. Hackers sometimes use scripted windows to mimic legitimate windows, such as login screens, that appear on websites. If you trust the website and want to allow the scripted window, click the Information Bar, and then click Temporarily Allow Scripted Windows. To always allow scripted windows, check the Allow websites to prompt for information using scripted windows custom security setting.
To help protect your security, Internet Explorer blocked this site from downloading files to your computer. Click here for options. | A webpage tried to download a file that you might not have requested. If you want to download the file, click the Information bar and then click Download File. Because files can contain software that can affect the performance of your computer or access your information, you should be certain that you know what the file contains and that you trust its publisher before you download it.
Your security settings do not allow websites to use ActiveX controls installed on your computer. This page may not display correctly. Click here for options. | A webpage tried to use an ActiveX control or script but your security settings did not allow it. If you trust the publisher of the ActiveX control or script, you can allow it to run by removing the website address from the Restricted sites list. If the website is not on the Restricted sites list, you can add it to the Trusted sites list. For more information, see Understanding security zones. If you are unable to change these settings, your computer administrator might not allow you to make the change.
Internet Explorer has blocked this site from using an ActiveX control in an unsafe manner. As a result, this page may not display correctly. | A website tried to access an ActiveX control on your computer without your permission.
To help protect your security, Internet Explorer has restricted this file from showing active content that could access your computer. Click here for options. | A webpage being displayed on your computer tried to run a script or ActiveX control. If you want to allow the control to run, click the Information bar, and then click Allow Blocked Content.
This content might not be displayed properly. The file was restricted because the content doesn't match its security information. Click here for options. | Internet Explorer blocked a file from displaying because its actual contents did not match the expected contents. If you want to display this content, click the Information bar, and then click Show Restricted Content. Because showing this content might pose a security risk to your computer, you should be certain that you know what the file will do before you show it.
This site might require the following add-on: Name from: Publisher. Click here to install. | A webpage tried to install an add-on that has a valid digital signature. This signature lets you identify the publisher of the add-on to decide if you want to install it. If you want to install the add-on, click the Information bar.
Internet Explorer is currently running with add-ons disabled. | Internet Explorer is running with add-ons turned off. If you want to allow add-ons, close Internet Explorer and reopen it normally.
Intranet settings are now disabled in Internet Explorer by default. Click for more options. | Internet Explorer detected an intranet webpage address, but intranet address checking is not on. Click the Information bar for more information or see What do I need to know about intranet security settings?
Your security setting level puts your computer at risk. Click for more options. | Your security settings are below the levels recommended by Microsoft. To reset the security settings to the recommended levels, click the Information bar, and then select Fix Settings for Me.
This site requires the following updated add-on: Name from: Publisher. Click here to install it from their website. | An installed add-on needs to be updated. This happens when you upgrade to a different version of Internet Explorer. To update the add-on, click the Information bar.
This web address contains letters or symbols that cannot be displayed with the current language settings. Click here for options. | The web address (or URL) contains characters that cannot be displayed in your current language. To install another language, click the Information bar and then click Change language settings. Be cautious when installing additional languages. Some letters and symbols can be used to mimic characters in other languages, though the website address is different. This ability can be used to impersonate another website for the purpose of identity theft or fraud. Because of this, you should only add a language you are familiar with. For more information, see What are International Domain Names?


Web browser add-ons: what you need to know

Web browser add-ons add features (for example, extra toolbars, animated mouse pointers, stock tickers, and pop-up ad blockers) to your web browser.

Where do add-ons come from?

Many add-ons come from the Internet. Most add-ons from the Internet require that you give your permission before they are downloaded to your computer. Some, however, might be installed without your knowledge. This can happen if the add-on was part of another program that you installed. Some add-ons are installed with Microsoft Windows.

How can I see which add-ons are installed?

To see all installed add-ons

  1. In Internet Explorer, click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  2. In the Show box, select one of the following options:
    • To display a complete list of the add-ons that reside on your computer, click Add-ons that have been used by Internet Explorer.
    • To display only those add-ons that were needed for the current webpage or a recently viewed webpage, click Add-ons currently loaded in Internet Explorer.
    • To display add-ons that were pre-approved by Microsoft, your computer manufacturer, or a service provider, click Add-ons that run without requiring permission.
    • To display only 32-bit ActiveX controls, click Downloaded ActiveX Controls (32-bit).

There are several add-ons in this list that I did not install. How did they get on my computer?

For your protection, Internet Explorer asks permission before running an add-on for the first time, letting you know if a website is secretly trying to run malicious code. However, to create a better web experience, Internet Explorer has a list of pre-approved add-ons that have been checked and digitally signed. Add-ons in this list are run without displaying the permissions dialog. The add-on list can come from Microsoft, your computer manufacturer, your Internet Service provider (if you are using a private branded version of Internet Explorer), or your corporations network administrator. To see the pre-approved add-ons that are installed on your computer, do this:

To view pre-approved add-ons

  1. In Internet Explorer, click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  2. In the Show list, click Add-ons that run without requiring permission.
  3. You will now see a list of all pre-approved add-ons. When you are finished looking at the list, click OK.

What can I do if I think an add-on is causing trouble?

Add-ons are typically fine to use, but sometimes they force Internet Explorer to shut down unexpectedly. This can happen if the add-on was created for an earlier version of Internet Explorer or has a programming error.

Here's what you can do:

  • Disable it. If an add-on causes repeated problems, you can disable it through the Add-on Manager.
  • Report it. When prompted, you might want to report the problem to Microsoft. The report is anonymous and requires nothing from you except your permission. These reports are used to improve our products and to encourage other companies to update and improve theirs.

How can I disable a browser add-on?

Before you disable a browser add-on, keep in mind that some webpages, or Internet Explorer itself, might not display properly if an add-on is disabled. We recommend that you only disable an add-on if it repeatedly causes Internet Explorer to close.

To permanently disable add-ons

  1. In Internet Explorer, click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  2. In the Show list, click Add-ons that have been used by Internet Explorer to display all add-ons.
  3. Click the add-on you want to disable, and then click Disable.
  4. Repeat step 3 for every add-on you want to disable. When you are finished, click OK.

Follow the steps below to run Internet Explorer with all add-ons temporarily disabled. Add-ons will be disabled only until you restart Internet Explorer normally.

To temporarily disable all add-ons

  • In Windows, click Start, click All Programs, click Accessories, click System Tools, and then click Internet Explorer (No Add-ons).

Note

  • You can also start Internet Explorer with out add-ons by right-clicking the Internet Explorer icon on the desktop and then clicking Start Without Add-ons.

  • If you find that disabling all add-ons solves the problem you were having, you might want to disable the add-ons permanently by disabling each one individually by following the steps below.

How do I re-enable an add-on?

You might want to re-enable a browser add-on if you disabled an add-on but want to go to a site that requires it, or if disabling the add-on caused general display problems with webpages or Internet Explorer.

To re-enable a browser add-on

  1. In Internet Explorer, click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  2. In the Show list, click Add-ons that have been used by Internet Explorer to display all add-ons.
  3. Click the add-on you want to enable, and then click Enable.
  4. Repeat step 3 for every add-on you want to enable. When you are finished, click OK.


How do browser add-ons affect my computer?

Add-ons, also known as ActiveX controls, browser extensions, browser helper objects, or toolbars, can improve your experience on a website by providing multimedia or interactive content, such as high-quality animations. However, some add-ons can cause your computer to stop responding or display content that you don't want, such as pop-up ads.

You can control which add-ons are allowed in Internet Explorer by using Add-on Manager. To learn more about add-ons in general and how to use Add-on Manager specifically, click Related Topics.

If you suspect that browser add-ons are affecting your computer, you might want to disable all add-ons to see if that solves the problem. To learn how to start Internet Explorer with all add-ons disabled, or to learn how to disable a single browser add-on, click Related Topics.


Disable a browser add-on

To disable a browser add-on

  1. Open Internet Explorer.
  2. Click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  3. Click the add-on you want to disable, click Disable, and then click OK.

Notes

  • Some webpages, or Internet Explorer, might not display properly if an add-on is disabled. We recommended that you only disable an add-on if it repeatedly causes Internet Explorer to close.
  • You can start Internet Explorer with all add-ons disabled. This is useful if you are having a problem with Internet Explorer and want to temporarily disable all add-ons so you can see if they're causing the problem. To learn how to do this and to find more information about add-ons in general, click Related Topics.


Re-enable a browser add-on

To re-enable a browser add-on

  1. Open Internet Explorer.
  2. Click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  3. Click the add-on you want to enable, click Enable, and then click OK.


Starting Internet Explorer with all add-ons disabled

If you are having problems with Internet Explorer and you think that they might be caused by add-ons, you can start Internet Explorer with all add-ons turned off. By following the steps below, you can temporarily turn off all add-ons. The next time you start Internet Explorer, the add-ons will be turned on again. If you find that disabling all add-ons solves the problem you were having, you might want to disable the add-ons permanently. To learn how to do that, click Related Topics.

To start Internet Explorer without add-ons

  1. In Windows, click Start, click All Programs, and then click Accessories.
  2. Click System Tools, and then click Internet Explorer (No Add-ons).

Note

  • To allow add-ons to run again, close Internet Explorer and restart it normally.
  • You can also start Internet Explorer with out add-ons by right-clicking the Internet Explorer icon on the desktop and then clicking No Add-ons.


See all Internet Explorer add-ons

To see all Internet Explorer add-ons

  1. In Internet Explorer, click the Tools button, click Manage Add-ons, and then click Enable or Disable Add-ons.
  2. Click the Show list, and then do one of the following:
    • To display all add-ons that are currently loaded into memory, click Add-ons currently loaded in Internet Explorer.
    • To display all add-ons that have been used since Internet Explorer was installed or reset, click Add-ons that have been used by Internet Explorer.
    • To display all add-ons that have been pre-approved by Microsoft, your computer manufacturer, or your Internet service provider (if you are using a private branded version of Internet Explorer), click Add-ons that run without requiring permission.
    • To display a list of ActiveX controls only, click Downloaded ActiveX controls (32bit).

Notes

  • To sort the list of add-ons, click the heading label. For example, click Name if you want to sort the list of add-ons alphabetically by name.
  • If you want to turn off an add-on, select it and then click Disable. It might be helpful to disable an add-on if you suspect that it is not working correctly.
  • To delete an ActiveX add-on, click the add-on, and then, under Delete ActiveX, click the Delete button.


Customize the Internet Explorer toolbars

Internet Explorer has several toolbars, the menus bar, the links toolbar, and the Command bar. The Command bar is located at the top right side of the Internet Explorer window (it contains the Home icon, among others) and it offers easy access to almost any setting or feature in Internet Explorer. You can customize the Command bar buttons to suit your preferences and add website links to the Links bar.

To change buttons on the Command bar

  1. In Internet Explorer, right-click the Command bar, point to Customize Command Bar, and then click Add or Remove Commands.
  2. Make one or more of the following changes:
    • To add a button, click the button you want to add in the Available toolbar buttons list, and then click Add.
    • To remove a button, click the button you want to remove in the Current toolbar buttons list, then click Remove.
    • To change the order in which buttons are displayed, click a button in the Current toolbar buttons list, and then click either Move Up or Move Down.
    • To restore the Command bar buttons to their default settings, click Reset.
  3. When you're done, click Close.

    You should see your changes immediately. If you've added a lot of buttons, you might need to resize the Command bar to see them all.

To show or hide text on Command bar buttons

  1. In Internet Explorer, right-click the Command bar, and then click Customize Command Bar.
  2. Do one of the following:
    • To display a label on every button, click Show All Text Labels.
    • To display a label on some of the buttons, click Show Selective Text.
    • To turn off all text, click Show Only Icons.

To make Command bar icons larger

  1. In Internet Explorer, right-click the Command bar, and then click Use Large Icons.

    To make the icons small, follow this step again and clear the check mark from Use Large Icons.

To resize the Command bar

  1. In Internet Explorer, right-click the Command bar, and then click Lock the Toolbars to clear the check mark (if the check mark is already gone, skip this step).
  2. Drag the Command bar separator bar Picture of the seperator bar left or right.
  3. When you're done, right-click the Command bar, and then click Lock the Toolbars.

To add items to the Links bar

  1. Navigate to a website you want to add to the Links bar.
  2. Drag the icon from the Address bar or a link from a webpage and drop it on the Links bar.

Notes

  • If the Links bar is not displayed, follow the steps in the next section to turn it on.
  • To arrange items on the Links bar, drag them to a new location.
  • To remove an item from the Links bar, right-click the link, click Delete, and then click Yes to confirm that you want to delete the link.

To show or hide toolbars

  1. In Internet Explorer, right-click the Command bar to view the list of toolbars.
  2. Do one of the following:
    • To show a toolbar, click the name of the toolbar to select it (a check mark will be displayed beside it).
    • To hide a toolbar, click the name of the toolbar to clear the check mark.


Why do fonts look blurry in Internet Explorer?

If screen fonts look different in Internet Explorer than they do in other parts of Windows (for example, if they're blurry or bolded), it might be because because of ClearType. ClearType is a software technology developed by Microsoft that improves the readability of text on Liquid Crystal Display (LCD) monitors, such as those used on laptops and flat panel screens. ClearType can sometimes appear blurry on Cathode Ray Tube (CRT) monitors or un-tuned LCD displays. By default, ClearType is always turned on in Internet Explorer, regardless of how Windows is configured, though you can change it.

If your fonts are not displaying as clear as you'd like, you can try optimizing ClearType for your monitor. Go to the Microsoft Typography ClearType (http://www.microsoft.com/typography/cleartype/tuner/Step1.aspx) website, and then follow the instructions for tuning ClearType. The website installs an ActiveX control to help you tune ClearType to your monitor, or you can download a tool that can be used offline instead.

If you still do not like the how ClearType looks in Internet Explorer and you want to turn it off, follow these steps to have Internet Explorer use the same settings as Windows. Once you do this, you can turn ClearType off (or back on) by using the Windows Control Panel.

To have Internet Explorer use the same ClearType settings as Windows

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, scroll to the Multimedia section, clear the Always use Clear Type for HTML check box, and then click OK.

    The changes will take effect the next time you start Internet Explorer.


Change Internet Explorer language settings

You can add multiple languages to Internet Explorer to display webpage and Address bar text correctly. Keep in mind that installing languages in Internet Explorer only makes those languages available in websites and the Address bar. To change the language used for Internet Explorer's menus and buttons, you need to install a version of Internet Explorer that is written in the language you prefer.

To add a language to Internet Explorer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Languages.
  3. In the Language Preference dialog box, click Add.
  4. In the Add Language dialog box, select a language from the list, and then click OK.
  5. Repeat steps 3 and 4 until you have added all of the languages you want to use.
  6. Click OK three times.

Note

  • If you speak several languages, you should arrange them in order of preference (priority). If a website is available in multiple languages, the content will be displayed in the language that has the highest priority. To reorder the languages, click a language and then use the Move up or Move down buttons to arrange the languages in order of priority.

Most webpages contain information that tells the web browser what language and character set to use when displaying the page. This type of information is referred to as language encoding. Internet Explorer can usually determine the correct language encoding, even if the webpage does not include language encoding information, as long as the Language Encoding Auto-Select feature is turned on. Here's how to turn it on:

To automatically detect a website's language

  1. In Internet Explorer, navigate to a webpage you want to select a language for.
  2. Right-click the webpage, point to Encoding, and then click Auto-Select.
  3. If you are prompted to download language support components, click Download.

If Auto-Select cannot determine the correct language encoding, and you know what language encoding it should be, you can manually select it.

To manually select the language encoding for a webpage

  1. In Internet Explorer, navigate to a webpage you want to select a language for.
  2. Right-click the webpage, point to Encoding, point to More, and then click the appropriate language.
  3. If you are prompted to download language support components, click Download.

If your computer needs a new font to display text written in a specific language, Internet Explorer can download the font automatically. To turn on this feature, follow these steps:

To automatically download fonts

If your computer needs a new font do display text written in a specific language, Internet Explorer can download the font automatically. This feature is turned on by default, but you can follow these steps to turn it on again if someone turned it off.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click Custom level.
  3. In the Security Settings dialog box, scroll down to the Downloads section, and then, under Font download, choose one of the following options:
    • To turn off automatic font installation, click Disable.
    • To allow automatic font installation, click Enable.
    • To have Internet Explorer ask you whether to install a font, click Prompt.
  4. Click OK twice.

Notes

  • If the Auto-Select feature or a specific language pack is not installed on your computer, Internet Explorer prompts you to download the necessary files.
  • You can add a Language Encoding button Picture of the Language Encoding button to the Command bar to make switching between languages quicker. For more information, see Customize the Internet Explorer toolbars.


Turn off multimedia in Internet Explorer

To turn off multimedia in Internet Explorer

By default, Internet Explorer displays multimedia (such as pictures, videos, or sounds) used on webpages. You can turn off multimedia if you want to increase the speed at which the page loads or if you use a screen reader. Here's how:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.
  3. In the Settings section, under Multimedia, clear any of the following check boxes to turn off that type of multimedia:
    • Play animations in webpages
    • Play sounds in webpages
    • Show pictures

Notes

  • If the Show pictures check box is cleared, you can still display an individual picture by right-clicking its icon, and then clicking Show Picture.
  • If the pictures on the current page are still visible after you clear the Show pictures check box, click the Refresh(F5) button Picture of the Refresh Current Page button.


Create more space for temporary Internet pages

To create more space for temporary Internet pages

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. In the Disk space to use text box, type the amount of disk space (in megabytes) that you want to be set aside for temporary storage space, and then click OK twice.


Using accessibility features in Internet Explorer

The following features make Internet Explorer more accessible for people with disabilities.

Keyboard access

All features in Internet Explorer are accessible through the use of either the keyboard or the mouse.

With Internet Explorer, you can use the keyboard to explore the web. Press TAB to move forward between screen elements and SHIFT+TAB to move backward. By pressing TAB or SHIFT+TAB, you can navigate through the following parts of the screen:

  • Links that are text or images
  • Hot spots on image maps
  • The Address bar
  • The tabs bar
  • Frames

For more information about keyboard access, see Internet Explorer keyboard shortcuts.

Highlighting box

As you select or click a link or image, a thin border appears around it so you can see what is selected.

Customize the font size, formatting, and screen colors

You can specify the font type and size and the foreground and background colors that are used to display webpages. You can also specify the color used for links in webpages.

These customizations are useful if you have low vision, need larger fonts, or need high-contrast colors.

For more information, see Changing webpage fonts and background colors.

Use AutoComplete

This feature saves you time when you are typing web addresses or completing entries on webpages by displaying a list of previous matching entries as you type.

To turn AutoComplete on or off

  1. Click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under AutoComplete, click Settings.
  3. Select the check box beside each AutoComplete option you want to turn on, and then click OK twice.

Advanced options that make Internet Explorer more accessible

Internet Explorer has a variety of advanced accessibility options. Here's how to turn them on:

  1. In Internet Explorer, click the Tools button, click Internet Options, and then click the Advanced tab.
  2. Select from the following options:
    • Always expand ALT text for images

      Select this check box to display all of the text that is associated with an image. This is useful if you have turned pictures off and rely on a screen reader to describe images.

    • Move system caret with focus/selection changes

      If you use a screen reader, you can use this option to move the insertion point as the focus changes. Some screen readers or screen magnifiers use the insertion point or system caret to determine which area of the screen to read or magnify.

    • Use smooth scrolling and Enable page transitions

      If you use a screen magnification or screen reader program, you might want to clear these check boxes under the Browsing section.

    • Show pictures and Play animations in webpages

      If you have low vision, you might want to clear these check boxes to improve performance. If you are sensitive to screen flashing, you might also want to clear these check boxes.

    • Play sounds in webpages

      If you have cognitive disabilities, you might want to clear this check box to prevent distractions. If you are blind, you might want to clear this check box or selectively download sounds so that they do not interfere with a screen reader reading text aloud.

    • Print background colors and images

      If you have low vision, you might want to clear this check box to improve legibility when printing webpages on a printer.

  3. When you are finished making changes, click OK.


Display webpage text in a different font

To display webpage text in a different font

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, click Fonts.
  3. In the Webpage font and Plain text font lists, click the fonts you want.
  4. Click OK twice.

Note

  • These font preferences will only be used if the website you are visiting does not already specify the fonts that should be used. To learn how to override website font and color settings, click Related Topics.


Override website font and color settings

To override website font and color settings

If you want to have the fonts and colors you specify in Internet Explorer to be used for all websites, regardless of the fonts that have been set by the website designer, follow these steps.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, click Accessibility.
  3. Select the Ignore colors specified on webpages, Ignore font styles specified on webpages, and Ignore font sizes specified on webpages check boxes, and then click OK twice.


Reset Internet Explorer to the default settings

By resetting Internet Explorer to its default settings, you return it to the state it was in when it was first installed on your computer. This is useful for troubleshooting problems that might be caused by settings that were changed after installation. When you restore Internet Explorer's default settings, some webpages that rely on previously stored cookies, form data, passwords, or previously installed browser add-ons might not work correctly. Resetting Internet Explorer to its default settings does not delete your favorites, feeds, and a few other personalized settings. See the table below for a complete list of all settings and information about whether they are reset or maintained.

If you purchased your computer with Windows already installed, any settings the manufacturer specified will be reapplied. These settings might include a specific home page or search provider.

The following table describes what will happen to various settings when you reset Internet Explorer.

Settings categories Items affected
Settings that are deleted
  • Browser history, temporary Internet files, cookies, form data, and stored passwords
  • Typed URL information, offline webpages, menu extensions
  • Websites added to intranet, trusted, or restricted zones
  • Websites added for special cookie handling under the Privacy tab
  • Websites allowed to use pop-ups under Pop-up Blocker settings
  • Explorer most recently used list
Settings that are reset to Windows or manufacturer defaults
  • Home page (for more information on backing up your home page tabs, click Related Topics)
  • Search providers, tabbed browsing settings
  • Colors, languages, fonts, and accessibility settings (General tab)
  • Security settings for all zones (Security tab)
  • Advanced tab settings
  • Privacy tab settings
  • Pop-up blocker, AutoComplete, Phishing Filter, and Zoom settings
  • Page setup, toolbar, and text size settings
  • Feeds settings (sync and notification, not feeds themselves)
  • ActiveX controls that are not on the pre-approved list (reset to opt-in state)
  • Toolbars, browser helper objects, and browser extensions are disabled
Settings and items that are maintained
  • Favorites
  • Feeds
  • Content Advisor settings
  • Pre-approved ActiveX controls
  • Temporary Internet file (cache) path settings
  • Certificate information
  • Internet Programs (e-mail, instant messenger, and other programs associated with Internet use)
  • Internet connection, proxy, and VPN settings
  • Default web browser setting

To reset Internet Explorer to the default settings

  1. Close any Internet Explorer or Windows Explorer windows that are currently open.
  2. Open Internet Explorer.
  3. Click the Tools button, and then click Internet Options.
  4. Click the Advanced tab, and then click Reset.
  5. In the Reset Internet Explorer Settings dialog box, click Reset.
  6. When Internet Explorer finishes restoring the default settings, click Close, and then click OK.
  7. Close Internet Explorer.

    The changes will take effect the next time you open Internet Explorer.

Notes

  • If you close all visible windows, but still get an error message when trying to reset, you might have programs running that are not visible. Restart Windows, open Internet Explorer, and try resetting again.
  • If any of the categories fail to reset, it is because Internet Explorer could not access a file or registry setting. This can be caused by insufficient security privileges, files or settings being used by another program, or low memory or high CPU usage. You can either continue to use Internet Explorer without resetting these settings, or restart your computer and try running reset again.
  • If you are using Internet Explorer on a server and have turned off hardening (stronger security settings for use on servers), reset will go to client level security. You must reinstall hardening if you want the increased security level.
  • To learn how to re-enable add-ons, click Related Topics.


What is a proxy server?

A proxy server is computer that functions as an intermediary between a web browser (such as Internet Explorer) and the Internet. Proxy servers help improve web performance by storing a copy of frequently used webpages. When a browser requests a webpage stored in the proxy server's collection (cache), it is provided by the proxy server, which is faster than going to the web. Proxy servers also help improve security by filtering out some web content and malicious software.

Proxy servers are used mostly by networks in organizations and companies. Typically, people connecting to the Internet from home will not use a proxy server.


Change proxy server settings

To change proxy server settings

Proxy settings are used to tell Internet Explorer the network address of an intermediary server (known as a proxy server) that is used between the browser and the Internet on some networks. Changing proxy settings is something you usually only have to do if you are connecting to the Internet through a corporate network. By default, Internet Explorer automatically detects proxy settings. However, you might need to manually set a proxy with information supplied by your network administrator. Here's how:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Connections tab, and then click LAN settings.
  3. Select the Use a proxy server for your LAN check box.
  4. In the Address box, type the address of the proxy server.
  5. In the Port box, type the port number.
  6. If your network requires separate proxy addresses for different services, such as HTTP, HTTPS, or FTP, click the Advanced button, and then type the individual proxy server addresses to use.
  7. When you are finished making changes, click OK until you return to Internet Explorer.

Note

  • In some corporate environments, proxy settings might be preset or turned off by the administrator.


View the source code for a webpage

Webpages are created using code that tells your web browser what to display and how to display it. By viewing a webpage's source code, you can see how the webpage is structured, help uncover misleading links, or see where a web form is really sending your information. When you view source code, it is displayed in Notepad.

To view a webpage's source code

  1. In Internet Explorer, browse to the webpage you want to view.
  2. Right-click the background or text of a webpage or frame.
  3. Click View Source.

Note

  • If the page was created with frames, you'll have to repeat the steps above on each frame to see all of the source code for the webpage. To see the source for the overall frame that contains the individual windows, press ALT+V to display the View menu, and then click Source.


What should you do about Internet Explorer script errors?

In most cases, you can ignore them. Script error messages are displayed by Internet Explorer when there is a problem with the Javascript or VBScript code on the website you are viewing. Occasionally a script error can be caused by an error in downloading a webpage, but more often it is an error in the webpage itself.

To be sure it isn't an error in downloading, refresh the webpage by clicking the Refresh(F5) button Picture of the Refresh Current Page button. If the error persists, and you are not a developer testing a website, you should click No to ignore the error.

To avoid script errors in the future, you can turn off script debugging in Internet Explorer. Script error debugging is turned off by default. If it has been turned on, follow these steps to turn it off again.

To turn off script debugging in Internet Explorer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.
  3. In the Settings list, under Browsing, select Disable Script Debugging (Internet Explorer) and Disable Script Debugging (Other), and then click OK.


What are International Domain Names?

International Domain Names (IDN), are web addresses that are displayed in non-ASCII character sets or alphabets in the Internet Explorer Address bar. This allows websites to display their address using their native language and character set.

For security purposes, Internet Explorer will display native language web address in a standard ASCII text encoding by default.

The standard text format is used because it's possible for letters and symbols in some languages to be used to impersonate English language websites for phishing scams. If you browse to a website with a native language address, but you don't have the language available, the Information bar will display the message "This web address contains letters or symbols that cannot be displayed with the current language settings. Click here for options."

If you frequently visit websites that are written in languages that you cannot currently view, you might want to install additional languages in Internet Explorer. When the message appears on the Information bar, click Change language settings, and follow the prompts on your screen.


Why won't Windows allow me to change a system setting?

If your computer is part of a network at an organization such as a school or a business, your organization's system administrator might have disabled or even removed certain settings by using Group Policy. Group Policy is a feature of Windows that lets system administrators manage users' access to Windows features. If you suspect that Group Policy is preventing you from changing a setting that you need to access, contact your system administrator.

For more information about Group Policy settings, visit the Microsoft TechNet (http://technet.microsoft.com) website.


Find out which version of Internet Explorer you're using

To find out which version of Internet Explorer you're using, the cypher strength (SSL) it is using, the product identification number, or to see when the latest update was applied, follow these steps.

  1. Open Internet Explorer.
  2. Press ALT+H, and then click About Internet Explorer.


Where can I find advanced information about Internet Explorer?

Information Technology professionals can configure and distribute customized installations of Internet Explorer by using the Internet Explorer Administration Kit (IEAK). Information about the IEAK and Group Policy settings can be found online. More advanced information for IT professionals and developers can be found online on the Internet Explorer home page, Microsoft newsgroups, and at the Microsoft Software Developers Network.

  • Microsoft TechNet (http://www.microsoft.com/technet/prodtechnol/ie)
  • Internet Explorer 7 (http://www.microsoft.com/windows/ie)
  • Microsoft newsgroup community (http://www.microsoft.com/communities/newsgroups/list/en-us)
  • Microsoft Internet Explorer Developer Center (http://msdn.microsoft.com/ie)


Change the number of days that webpages are kept in the browsing history

To change the number of days that webpages are kept in the browsing history

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab.
  3. Under Browsing history, click Settings.
  4. Under History, specify the number of days you would like Internet Explorer to remember the webpages you have visited. If you don't want a webpage history kept, set the number of days to 0.
  5. Click OK twice.

Note

  • You can clear the webpage browsing history at any time. To learn how to do so, click Related Topics.


What happened to Profile Assistant?

The Profile Assistant feature has been removed from Internet Explorer. For information about keeping your personal and financial information private on the web, click Related Topics.


About certificate errors

A certificate is an electronic document that can help identify a website's owner and can help you make decisions about trusting the site with personal or financial information. Certificates are issued by certification authorities whose responsibility it is to confirm the identity of the website owner or organization.

Why do certificate errors occur?

Certificate errors occur when there is a problem with a certificate or the server's use of the certificate. Internet Explorer can help keep your information more secure by warning you about certificate errors.

How do I know if there is a certificate error?

Usually, a blocking page will appear that will warn you about the problem with the certificate. If you choose to ignore the error and continue, the Address bar will turn red and a notification will appear in the Security Status bar (next to the Address bar).

I'm getting errors on websites I always visit, what should I do?

If you encounter a certificate errors at a website you have visited before without errors, it's possible the website is not configured correctly. Try retyping the address you are using. For example, if you are typing the address as https://example.com, try changing it to https://www.example.com.

It is also possible that the website's certificate has expired and the owner or operator needs to renew the certificate in order to continue using it.

Is it ever safe to ignore a certificate warning and continue to a website?

A website's certificate provides identification of the web server. If the certificate has an error, it might indicate that your connection has been intercepted or that the web server is misrepresenting its identity.

What happens when I continue to a website that has a certificate warning?

If you ignore the warning page, and continue to a website that has presented a certificate containing errors, Internet Explorer will remember the certificate. You will not get error for that certificate until Internet Explorer is restarted.

What do the different certificate errors mean?

The following table contains a list of common certificate errors and information about what they mean.

Error message | What it means
This website’s security certificate has been revoked | Do not trust this website. This error message often indicates that the security certificate was obtained or used fraudulently by the website. The encryption key that is specified in the certificate might have been compromised or the user listed in a certificate does not have authority to use it (for example, the company was sold). The certification authority that issued the certificate keeps a list of revoked certificates and that list is checked by Internet Explorer.
This website’s address does not match the address in the security certificate | This error indicates the website is using a digital certificate that was issued to a different web address. This error can also occur if a company owns several websites and uses a certificate that was issued for one web address for another site (for example, for a different department or division).
This website’s security certificate is out of date | This error occurs when the current date is either before or after the time period during which the certificate is valid. Websites must renew their certificates with a certification authority to stay current. Outdated certificates can be a security risk. After a certificate expires, the Certification Authority that issued the certificate is no longer responsible for ensuring that the certificate is not misused.
This website’s security certificate is not from a trusted source | This error occurs when the certificate has been issued by a certification authority that is not recognized by Internet Explorer. It is unlikely that this error will occur on a legitimate business or banking site. Phishing sites often attempt to use fake certificates that will trigger this error.
Internet Explorer has found a problem with this website’s security certificate | This error occurs when Internet Explorer finds a problem with a security certificate that does not fit any other error conditions. The error can potentially occur because a certificate has been corrupted, tampered with, is written in an unknown format, or is unreadable. You should not trust the identity of the site if the certificate has this error.


Get help with HTTP error messages

HTTP errors are sent to your web browser from a website in response to a request to view a webpage. If the webpage cannot be displayed, Internet Explorer will display either the actual error page sent by the website or a friendly error message built into Internet Explorer. Below you will find some of the most common errors and ideas for how to solve the problem that's causing them.

The following table lists the most common HTTP errors that Internet Explorer will display. For information about HTTP protocols, error codes, and causes, visit the World Wide Web Consortium (W3C) (http://www.w3.org/Protocols) website.

HTTP error message | What it means
The webpage cannot be found (HTTP 400) | Internet Explorer is able to connect to the web server, but the webpage cannot be found because of a problem with the web address (URL). Usually, this is caused because the website address is typed incorrectly. Make sure the address is correct, and try again.
The website declined to show this webpage (HTTP 403) Internet Explorer is able to connect to the website, but Internet Explorer does not have permission to display the webpage. This can happen for a variety of reasons; here are some of the most common:
  • The website's administrator has to give you permission to view the page or the web server does not accept public webpage requests. If this is a website that you should have access to, contact the website administrator.
  • The webpage you're trying to view is generated by a program, such as a shopping cart or search engine, and the folder on the server the program is contained in is not correctly configured by the website administrator.
  • You have typed a basic web address (for example, www.example.com), but the website does not have a default webpage (such as index.htm or default.html). Additionally, the website does not allow directory listing, which allows you to view files in a web folder.
The webpage cannot be found (HTTP 404) | Internet Explorer is able to connect to the website, but the webpage is not found. This error is sometimes caused because the webpage is temporarily unavailable (in which case, you could try again later) or because the webpage has been deleted.
The website cannot display the page (HTTP 405) | Internet Explorer is able to connect to the website, but the webpage content cannot be downloaded to your computer. This is usually caused by a problem in the way the webpage was programmed.
Internet Explorer cannot read this webpage format (HTTP 406) | Internet Explorer is able to receive information from the website but the information is not in a format that Internet Explorer can display.
The website is too busy to show the webpage (HTTP 408 or 409) | The server took too long to display the webpage or there were too many people requesting the same page. Try again later.
That webpage no longer exists (HTTP 410) | Internet Explorer is able to connect to the website, but the webpage cannot not be found. Unlike HTTP error 404, this error is permanent and was turned on by the website administrator. It is sometimes used for limited time offers or promotional information.
The website cannot display the page (HTTP 500) | The website you are visiting has a server problem that prevents the webpage from displaying. This often occurs as a result of website maintenance or because of a programming error on interactive websites that use scripting.
The website is unable to display the webpage (HTTP 501 or 505) Error 501 (HTTP 501 - Not Implemented) means that the website you're visiting is not set up to display the content your browser is requesting. For example, the browser is asking for a file with a video extension (.AVI), but is telling the website it's looking for an HTML page.

Error 505 (HTTP 505 - Version Not Supported) means the website does not support the version of the HTTP protocol your browser uses (HTTP/1.1 being the most common) to request the webpage.

Websites display HTTP errors in one of two ways: by showing a custom webpage or by sending a simple error number to Internet Explorer. If a website offers a custom webpage for the error, Internet Explorer will always display it. If a website sends a simple error number instead of a custom webpage, Internet Explorer will read the error number and display an error message that provides a bit more information than the number alone (these errors are also known as friendly error messages). Follow the steps below to tell Internet Explorer to turn off these friendly error messages and simply display the error number sent by the website.

To turn off friendly HTTP error messages

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, and then scroll down to the Browsing section.
  3. Clear the Show friendly HTTP error messages check box, and then click OK.


Add a webpage to your list of favorite pages

To add a webpage to your list of favorite pages

  1. In Internet Explorer, go to the webpage that you want to add to your Favorites list.
  2. Click the Add to Favorites button Picture of the Add to Favorites button, and then click Add to Favorites.
  3. Type a new name for the page if you want to, specify the folder that the favorite should be created in, and then click Add.

Notes

  • To go to one of your favorite pages, click the Favorites Center button Picture of the Favorites Center button, navigate to the folder that contains the link, and then click the page you want to open.
  • For information about how to organize your list of favorites into subfolders, click Related Topics.


Add a page to the Links bar

The Links bar is usually displayed at the top of the Internet Explorer window and is a convenient place to store links to webpages that you use frequently. Just click the link to display the page.

To add a page to the Links bar

  1. If the Links bar is not already displayed, turn it on. To do this, click the Tools button, click Toolbars, and then select Links. (A check mark to the left of Links indicates that the bar is displayed.)
  2. If you still cannot see the links bar, it's probably locked on the right side of the screen. To unlock the Links bar, click the Tools button, click Toolbars, and then click Lock the Toolbars to clear the check mark. Drag the Links toolbar down so you can see it.
  3. Navigate to the webpage that you want to add to the Links bar, and then do one of the following:
    • Drag the icon (or the URL) for the page from the Address bar to the Links bar.
    • Drag a link from a webpage to the Links bar.

Note

  • You can organize the links by dragging them to different locations on the Links bar.


Making webpages available for offline viewing

The offline viewing feature has been removed from Internet Explorer. For information, see What happened to offline favorites?


Adjust AutoComplete settings

Change AutoComplete settings

You can choose the type of web form information that Internet Explorer will retain and automatically fill in for you. For example, you can choose whether Internet Explorer's AutoComplete feature will remember web addresses, information that you fill out in web forms, or passwords. You can delete this information at any time.

To change AutoComplete settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.
  3. Under AutoComplete, click Settings.
  4. Select the check boxes for the AutoComplete options you want to use.
  5. Click OK twice.

If you would like to delete the names, passwords, or other information that is saved in Internet Explorer, you can do so. Here's how:

To delete the information stored by AutoComplete

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Delete.
  3. Do any of the following:
    • To delete information from web forms, click Delete forms and then click Yes.
    • To delete passwords, click Delete passwords and then click Yes.
    • To delete web addresses from the Address bar, click Delete history and then click Yes.
  4. Click Close and then click OK.


Learning how to browse the web faster and easier

Learning how to browse the web faster and more easily

Learning a few basic things, such as how to use the buttons on the Internet Explorer toolbar, can make browsing the web easier and faster.

To start browsing the web, click any link on your home page, which is the page that appears when you open Internet Explorer. You can see whether an item on a page is a link by moving the mouse pointer over the item. If the pointer changes to a hand, the item is a link. A link can be a picture, a 3-D image, or colored text (usually underlined). If you press the CTRL key when you click, the link will open in a new tab. Click the new tab to view the webpage.

Now you're ready to find a website on your own.

To open a webpage or folder, or to run a program

In addition to surfing the web, Internet Explorer lets you run programs and access files and folders on your computer.

  • To go to a webpage, type the Internet address (for example, www.microsoft.com) in the Address bar, and then press ENTER.
  • To run a program from the Address bar, type the program name, and then press ENTER.
  • To browse through folders from the Address bar, type the drive letter or drive letter and folder name (for example, C:\ or C:\My_Novel), and then press ENTER. The folder contents will be displayed in a new window.

To find a webpage about a specific topic

You can find a great deal of information on a wide range of topics by searching the Internet.

To search for a specific topic

  1. Click in the search box Picture of the search box in the upper right corner of Internet Explorer.
  2. Type a keyword (for example, "dogs"), and then press ENTER.

You can choose the search provider that you want Internet Explorer to use.

To search by using a different search provider

  1. Click the Search Options button Picture of the Search Options button (the arrow to the right of the search box), and then select a different provider.

    2. Your search will be repeated with the new provider.

To change the default search provider

  1. Click the Search Options button (the arrow to the right of the search box), and then click Change Search Defaults.
  2. Select the provider you want to use for searches, click Set Default, and then click OK.

To return to webpages you recently visited

  • To return to the last page you viewed, click the Back Picture of the Back button button.
  • To return to the page you were on before you clicked the Back button, click the Forward Picture of the Forward button button.
  • To see a list of the last few pages you visited, click the Recent Pages button Picture of the Recent Pages button. The Recent Pages button is the small arrow to the right of the Forward button.

To go to a specific webpage

  • To return to the page that appears each time you open Internet Explorer, click the Home button Picture of the Home button.
  • To select a webpage from your list of favorites, click the Favorites Center button Picture of the Favorites Center button.
  • To select a webpage from the list of those you visited recently, click the Recent Pages button Picture of the Recent Pages button. The Recent Pages button is the small arrow to the right of the Forward button.

What to do if a webpage isn't working

  • If a page you are trying to view is taking too long to open, click the Stop button Picture of the Stop button on the right side of the Address bar. If the page has stopped loading, you can click the Refresh button Picture of the Refresh button to try again.
  • If you get a message that a webpage cannot be displayed, or you want to make sure you have the latest version of the page, click the Refresh button Picture of the Refresh button.


View security certificates

To view security certificates

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.
  3. Under Certificates, click Certificates or Publishers to view the list of trusted certificates.
  4. When you are finished viewing the information, click Close, and then click OK.


Change the colors used for webpages

You can chose the colors that Internet Explorer uses for webpage text, backgrounds, and links.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Colors.
  3. Clear the Use Windows colors check box.
  4. Do any of the following:
    • To change the color that is used for text, click the box to the right of Text, click the color you would like to use for text, and then click OK.
    • To change the color that is displayed in the background, click the box to the right of Background, click the color you would like to use, and then click OK.
    • To change the color used for links you have already visited, click the box to the right of Visited, click the color you want to be used for visited links, and then click OK.
    • To change the color used for links you have not visited, click the box to the right of Unvisited, click the color you want to be used for unvisited links, and then click OK.
    • To change the color that a link will become when you point at it, select the Use hover color check box, click the box to the right of Hover, click the color you would like links to change to when the mouse pointer hovers over them, and then click OK.
  5. Click OK to close the dialog box.

Note

  • These color preferences will only be used if the website you are visiting does not already specify the colors that should be used. To learn how to override website font and color settings, click Related Topics.


Changing webpage fonts and background colors

When web authors and designers create webpages, they often specify particular typefaces, fonts, colors, sizes, and background colors. These settings are specified for each item or they are set in a style sheet, which is a type of template for specifying how different styles should appear throughout a webpage or site.

You can override any or all of these settings, which is useful if you have limited or low vision.

For more information, click Related Topics.


Update ActiveX add-ons

Internet Explorer does not allow you to manually update ActiveX controls. You will be prompted if an existing ActiveX control requires an update for this version of Internet Explorer. If you want to update any ActiveX controls, visit the website where you originally downloaded the control and search for an update.


Delete AutoComplete entries from the Address bar list

To delete AutoComplete entries from the Address bar list

AutoComplete stores entries you've made for web addresses, forms, and passwords and remembers them if you begin to type them again later. To delete web address entries from the Address bar, you have to clear the History folder. Here's how:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab.
  3. Under Browsing history, click Delete.
  4. Click Delete history, and then click Yes to confirm that you want to delete the history.
  5. Click Close, and then click OK.

Note

  • To delete a single address from the list of suggestions provided when you're typing a web address, highlight the address, and then press DELETE.


What should you do when Windows blocks the installation of an ActiveX control?

You probably should not install that ActiveX control. Windows will block the installation of an ActiveX control if your Internet Explorer security settings are at the default levels and the ActiveX control does not have a valid digital signature.

A valid digital signature verifies the identity of the publisher (the company, website, or individual that is distributing the file), as well as the fact that the file has not been tampered with since it was signed. If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. You should not open the file unless you trust the publisher and know that the contents are safe to open.

What are ActiveX controls?

ActiveX controls are small computer programs that are used to create interactive web content, such as animation sequences and online tools. They are used extensively on the Internet, and generally make web browsing more enjoyable. In some cases, however, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.


Should you install an ActiveX control that has no valid digital signature?

Probably not. A valid digital signature helps to verify the identity of the publisher (the individual, company, or website that is distributing the file) and indicates that the file has not been tampered with since it was signed. Unless you know for certain what the control will do to your computer, you should not install it.

What are ActiveX controls?

ActiveX controls are small computer programs that are used to create interactive web content, such as animation sequences and online tools. They are used extensively on the Internet, and generally make web browsing more enjoyable. In some cases, however, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

Before installing any ActiveX control, consider the following:

  • Were you expecting to receive this control?

    Are you surprised that this website is trying to download an ActiveX control? Has this website required you to use an ActiveX control in the past? If this action is unexpected, you should be very cautious. Make sure you know what the control is for and what it will do to your computer before you save or run the file.

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you absolutely trust the website that is giving you the control. Click Related Topics to learn more about deciding when to trust a website.

  • Do you know what the control is for and what it will do to your computer?

    The website providing the file should tell you what this ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.


Should you install ActiveX controls?

Should I install ActiveX controls?

Maybe. You should be cautious about installing ActiveX controls on your computer, even if they have a valid digital signature. While ActiveX controls can enhance web browsing, they might also pose a security risk, and it's best to avoid using them if the webpage will work without them. However, some websites or tasks might require them, and if the content or task is important to you, you will have to decide whether to install the ActiveX control.

What are ActiveX controls?

ActiveX controls are small computer programs that are used to create interactive web content, such as animation sequences and online tools. They are used extensively on the Internet, and generally make web browsing more enjoyable. In some cases, however, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

Before installing any ActiveX control, consider the following:

  • Were you expecting to receive this control?

    Are you surprised that this website is trying to download an ActiveX control? Has this website required you to use an ActiveX control in the past? If this action is unexpected, you should be very cautious. Make sure you know what the control is for and what it will do to your computer before you save or run the file.

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you absolutely trust the website that is giving you the control. Click Related Topics to learn more about deciding when to trust a website.

  • Do you know what the control is for and what it will do to your computer?

    The website providing the file should tell you what this ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.

Note

  • You might not be able to install ActiveX controls if the system administrator has disabled the ability to install them or if you are using a limited user account.


How to decide if you should open files that you download from the Internet

As yourself these questions before deciding to open files that you downloaded from the Internet.

Have you scanned the file for viruses?

You should scan all files you download before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of antivirus programs, go to the Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp) website. If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Did you ask for the file?

Did you click a link on a website to start this download, or did the file show up without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, you should cancel the download. If you choose to save or open the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you trust the website providing the file?

Don't download any file unless you absolutely trust the source. Click Related Topics to find more information about making this decision.

Do you know what the file will do to your computer?

The website providing the file should tell you what the file is for and provide any special details you need to know about the file. If this information is not available, you should be cautious about downloading the file.

Note

  • If you choose to save or open the file, Windows will check the file for a digital signature. A valid digital signature helps verify the identity of the publisher (the individual, company, or website that is distributing the file) and helps confirm that the file has not been tampered with since it was signed.


Should you open a file that has no valid digital signature?

Probably not. A digital signature helps identify the publisher (the source or author) of the file and confirms that the file has not been tampered with since it was signed. If a file does not have a valid digital signature, you need to be more cautious. Only open the file if you really know and trust the source.

General suggestions

  • Scan the file with an antivirus program before you open it.
  • Make sure you know what the file is for and what it will do to your computer.
  • If you do not know or trust the source of the file, and you don't need the file, don't open it.


Should you trust e-mail attachments that have a valid digital signature?

It depends. A valid digital signature is helpful in deciding whether to trust a file or not, but you should still take a few other precautions.

How to decide which attachments to open

Before you open an attachment, make sure you have installed an antivirus program that is up to date and set to scan all incoming e-mail attachments and downloaded files. This helps provide greater protection against viruses.

Do you know and trust the sender of the e-mail message? If you get e-mail from a person or business you’ve never heard of before, you should be cautious.

Do you have reason to expect e-mail from the sender? If you get e-mail from someone you know but seldom correspond with, ask yourself if there is a good reason why you’re getting e-mail from them now—especially if the message has a file attachment or contains a link to a website. Some viruses spread themselves by sending e-mail from an infected computer to every e-mail address they find.

If you know the sender but the message looks suspicious, ask the sender if he sent the e-mail to you by either calling him or sending him a new e-mail message. Do not reply to the suspicious e-mail. It's much easier to check before you open the message than it is to clean a virus off your computer.

Does the message on the subject line make sense? If the subject line does not make sense, it might have been generated automatically by a site that sends junk e-mail, and you’ll be safer if you delete the message.

Has the file been scanned and cleared by an up-to-date antivirus program on your computer? Installing an antivirus program that is set to actively receive updates and scan all incoming files can help protect your computer. If the program detects a virus, don’t open the file—just delete it.

If the answer is yes to all of the questions above, the file is probably fine. But if the answer to all or even some of the questions above is no, it's probably best to delete the message.

What a digital signature does and doesn’t tell you about a file

A valid digital signature tells you two things about a file: who published the file and whether the file has been tampered with since it was signed. When you know who is publishing the file, you can make a better decision about whether to trust the file. Don't open the file if it has been changed in any way since it was signed.

Beyond that, a digital signature cannot guarantee that a file will not harm your computer. That’s why, when you start to open certain file types from e-mail, Windows will ask if you want to open the file—even if it has a valid digital signature.

Why e-mail attachments should be handled with care

Some types of files can contain viruses or code with the potential to damage your computer or leave it at risk for future attack. As a security precaution, Windows XP Service Pack 2 (SP2) or later helps check e-mail attachments for two things: the file type and the presence of a valid digital signature. You should not open the file unless you trust the publisher and know that the contents are safe to open.

Note

  • If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp).


Should you run downloaded software that has no valid digital signature?

Probably not. A valid digital signature identifies the publisher of the software and verifies that the software has not been tampered with since it was signed. Without a valid digital signature, you have no way to verify that the software is what it claims to be.

If you have software on your computer that you downloaded from the Internet, don't open or run it without asking these questions:

Did you ask for the software?

Did you click a link on a website to start this download, or did the software show up without any action on your part? If you didn't start the download, you should be very cautious. If you don't need the software, cancel the download. If you choose to run the software, make sure you know what it is for and what it will do to your computer before you proceed.

Do you know who published the software?

If the file has no valid digital signature, you cannot be certain that the software is actually from the source it claims to be from, or that it has not been tampered with. You should not run the software unless you trust the publisher, have scanned it for viruses, and know what the software will do to your computer.

Do you know what the file will do to your computer?

The website providing the file should tell you what the file is for and any special details you need to know about the file to run it. Be sure to read any terms of use or license agreements, and look for anything you don't agree with, such as having to accept unsolicited advertising, or that the program sends data back to the publisher. If this information is not available, you should be cautious about downloading the file.

Note

  • It's always a good idea to scan downloaded software with an up-to-date antivirus program before running it, regardless of the answers to the questions above.


What you should know about file downloads and digital signatures

Some downloaded files can potentially damage your computer. To help protect your computer, you will be asked to confirm that you want to open the downloaded file, even if the file has a valid digital signature. A valid digital signature identifies the publisher of the file and tells you whether the file has been tampered with since it was signed, but it does not guarantee that the file will not harm your computer.

How can you decide if you should open a downloaded file? Ask these questions:

Have you scanned the file for viruses?

You should scan all files you download with an antivirus program before you open them. When you download the file, you will be given the option to open the file immediately (Run) or to save the file to your computer before you open it. Save the file to your computer and scan it with an antivirus program before opening it.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp). If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Did you ask for the file?

Did you click a link on a website to start this download, or did the download begin without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, cancel the download. If you choose to save or open the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you know who published the file?

A valid digital signature tells you the identity of the publisher (the company, website, or individual that is distributing the file) and whether the file has been tampered with since it was signed.

If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. You should not open the file unless you trust the publisher, have scanned it for viruses, and know that the contents are safe to open.

Do you know what the file will do to your computer?

The website providing the file should tell you what the file is for and provide any special details you need to know about the file to run it. Be sure to read any terms of use or license agreements, and look for anything you don't agree with, such as having to accept unsolicited advertising, or that the program sends your personal information back to the publisher. If this information is not available, you should be cautious about downloading the file.


What you should know about active content

Active content (for example, things like stock tickers, video, or animation) can enhance your browsing experience. It relies on either ActiveX controls or computer code (called a script) to work properly.

ActiveX controls can sometimes malfunction or display content that you don’t want. They can also be used to collect information from your computer without your permission, damage information on your computer, install software without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

When you encounter a webpage (or insert a CD) that is trying to run active content on your computer, you should receive a message prompting you to decide whether you want to allow the content to run. If you are certain that you want to allow the active content, click Yes in the message box. By clicking Yes, you allow the active content to run on the webpage or CD you’re viewing on that occasion. If you leave the page and return to it later, you will receive the message again. You can avoid being prompted every time by allowing any website to run scripts and ActiveX controls, however you should be extremely careful about doing this, as it might put your computer at risk for malicious software.

To allow any website to run scripts and ActiveX controls on your computer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, and then, in the Settings list, scroll down to the Security section.
  3. Select the Allow active content to run in files on My Computer check box, and then click OK.

To allow any CD to run scripts and ActiveX controls on your computer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, and then, in the Settings list, scroll down to the Security section.
  3. Select the Allow active content from CDs to run on My Computer check box, and then click OK.


Is it safe to open files that are downloaded from the Internet?

It depends. You should always treat files you download from the Internet with caution. Much depends on what you know about the file, its source, and its contents. Here are some ways to help make an informed decision about whether to open the file.

  • Look for warning messages. Internet Explorer displays a message when a website attempts to download a file to your computer. If the message contains a yellow caution icon, then the file has been identified as a type that could pose a risk because it might contain computer code (possibly a program or computer virus).
  • Scan the file with antivirus software before you open it. Save the file to your computer and then scan the file with an up-to-date antivirus program before opening it, rather than opening the file directly from the Internet.
  • Be more cautious with files that are not pictures, music, or plain text files. While pictures, music, or plain text file types (their names frequently end with one of these three-letter extensions: .jpg, .gif, .mp3, or .txt) are less likely to contain computer code or a virus, you should still be cautious with them. Look very carefully at the file name and extension because many viruses use double extensions, such as mypictures.jpg.exe, to trick people into running them. With all other file types, you should be even more cautious.

It might be safe to open the file if all of the following are true:

  • When you run the file from the download dialog box, the message shows the publisher's name. If the publisher cannot be identified, it is safer to delete the file unless you know who created it and what it will do to your computer.
  • You completely trust the publisher. For example, if you have received files from this publisher before or they were recommended by a trusted person.
  • You requested the file. If a file starts downloading automatically or is offered when you didn't specifically request it, cancel the download.


Unblock a publisher

To unblock a publisher

Why is this publisher blocked?

Someone who uses or manages this computer specifically chose to block files distributed by this publisher. To open or run this file, you will need to unblock the publisher. You should only try to open this file if you trust the publisher, have scanned it for viruses, and you are sure the file is safe. Please use extreme caution when unblocking a publisher. If a publisher is blocked by your computer administrator, it might be for a very good reason.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then click Publishers.
  3. Click the Untrusted Publishers tab, click the publisher you want to unblock, and then click Remove.
  4. Click Yes to confirm that you want to unblock that publisher.
  5. Click Close, and then click OK.


Should you open files from the Internet or e-mail that you have saved to your computer?

It depends. You should take a few precautions before opening a file that you saved from the Internet or received as an e-mail attachment. If the file is a program or computer code, such as an .exe file, Windows will display a message to alert you that the file could be harmful to your computer. If this happens, ask these questions before you open the file:

Have you scanned the file for viruses?

You should scan all files you download with an up-to-date antivirus program before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of antivirus programs, see the Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp) website. If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer. Viruses are released on an almost daily basis, so keeping your antivirus program current is important.

Do you know who created the file?

If you choose to save or open the file, Windows will check the file for a digital signature. A valid digital signature helps to tell you the identity of the publisher (the company, website, or individual distributing the file) and whether the file has been tampered with since it was signed.

If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. Avoid opening the file unless you have scanned it for viruses and know that the contents are safe.

Do you know what the file will do to your computer?

The publisher of the file should have provided information explaining what this file is for and any special details you need to know about the file to open it. Be sure to read any terms of use or license agreements, and look for anything you don't agree with, such as having to accept unsolicited advertising, or that the program sends information back to the publisher. If this information is not available, you should be cautious about running the file.


Downloading files

Because some files can contain viruses or otherwise harm your computer, you should be cautious when downloading files from the Internet. As a general rule, it is better to save a file or program to disk and scan it with an antivirus program before running it than to run it directly from the web. Here are some precautions you can take when downloading files from the web:

  • Save the file to your computer before opening it.
  • Check the file with a virus scanner. This helps catch potentially dangerous programs before they damage your computer or your files.

To help increase your computer's security, make sure the Always ask before opening this type of file check box is selected. If you feel confident that this type of file or program is always safe to open or run directly from the Internet, you can clear this check box.

Note

  • The Always ask before opening this type of file check box is not available for some types of files, such as files with the extensions .exe or .com, which run programs or commands. When this check box is not available, you will always be asked before opening this type of file.


Change webpage text size

You can make webpages easier to read by changing the text size. If you change the text size, graphics and controls will remain in their original size but the text size will change.

To change webpage text size

  1. Open Internet Explorer.
  2. Click the Page button, click Text Size, and then click the size you want.

Notes

  • To increase the size of everything on a webpage, including graphics and controls, use the zoom feature. To learn how to zoom, click Related Topics.
  • This will change the size of text displayed in webpages, unless the text size was explicitly set by the person who created the page. To learn how to override text settings set by the person who created the webpage and use the fonts you pick instead, click Related Topics.
  • In addition to changing the font size, you can pick the specific font type face you want to use. To learn how, click Related Topics.


Understanding FTP

FTP stands for File Transfer Protocol. FTP is used to make files and folders publicly available for transfer over the Internet. In some cases, you will need to get permission from the computer's administrator to log on and gain access to files on the computer. But often you'll find that you can use FTP to gain access to certain networks or servers without having either an account or by being an official password holder. These anonymous FTP servers can contain a broad range of public information.

The Internet address (also known as a URL) for an FTP server looks slightly different from the URL you use for a typical webpage. For example, Microsoft has an FTP server at ftp://ftp.microsoft.com, where you can download files ranging from product fixes, updated drivers, and utilities, to Microsoft Knowledge Base articles and other documentation.

How much access you have to files and folders on FTP servers depends on whether you gain access to the servers through a proxy server or directly, and what kind of permissions you have with the FTP server.

  • Access through some proxy servers is limited to viewing or downloading files. In some cases, you cannot rename, upload, or delete files or folders. Check with your administrator to see whether you can bypass the proxy server or whether a full-service FTP proxy server is available.
  • If you gain access to FTP sites directly, you can work with files and folders on the FTP servers much like you work with them on your own computer. You can view, download, upload, rename, and delete files and folders. If you need permission from the FTP server to perform any of these actions, you will be prompted to provide your user name and password.

To access FTP sites directly

  1. In the Internet Explorer Address bar, type the Internet address (URL) for the FTP site you want to connect to (for example, ftp://ftp.microsoft.com/) and then press ENTER.
  2. The FTP site opens in the main Internet Explorer window. In this window, you can do one or more of the following:
    • To open a file or folder, click it.
    • To download a file or folder, right-click it, and then click Save Target As.
  3. If you have rights on the FTP site, you can also open the site in a Windows Explorer window. To open the site in this way, click the Page button, and then click Open FTP site in Windows Explorer. In the new window, do one of the following:
    • To download a file or folder, right-click it, and then click Copy to Folder.
    • To log on as a different user, click the File menu, and then click Login As.
    • To rename or delete items in an FTP folder, or paste items into an FTP site (upload), use the same methods you use with Windows Explorer or My Computer.

Notes

  • On some FTP sites, you can only view or download files. Only the people who run or own the site can rename, delete, or upload files. If you don't have appropriate rights, you will get an error message.
  • On many FTP sites, you are automatically logged on anonymously, so you can view or download files. To upload, rename, or delete files, you may need to log on using a special user name and password. Also, different areas of the same site may require different logons.
  • You cannot move files within or between FTP sites. You can move files from an FTP site to a temporary location on your computer or a network drive, and then upload them to another FTP site or different folder on the same site.
  • Some programs allow you to open files from or save files to FTP servers by typing an FTP address when you open or save a file.


Why does Internet Explorer block the use of some ActiveX controls?

Internet Explorer blocks a website from using an ActiveX control on your computer if the website tries to use the ActiveX control in a way that might not be safe.

What are ActiveX controls?

ActiveX controls and web browser add-ons are small programs that are used extensively on the Internet. They can make browsing more enjoyable by providing toolbars, stock tickers, video, animated content, and more. These programs can malfunction, however, or give you content you don't want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install ActiveX controls or add-ons if you completely trust the publisher and the website offering it.

What should I do when Internet Explorer blocks the use of an ActiveX control?

You should always be cautious about allowing websites to install or use ActiveX controls on your computer. If an ActiveX control is not essential to your computer activity, try to avoid installing it. If you are trying to decide whether to install a particular add-on or ActiveX control, ask yourself these questions:

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you trust the website that is providing it. For information about how to decide if you can trust a website, see below.

  • Do you know what the control is for and what it will do to your computer?

    The website should tell you what this add-on or ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.

If you still want to install or run the ActiveX, click the Information bar, and then follow the prompts.


What should I do when Internet Explorer blocks the installation of an ActiveX control?

You should always be cautious about allowing websites to run ActiveX controls on your computer. If an ActiveX control is not essential to your computer activity, try to avoid installing it.

If you are trying to decide whether to install a particular ActiveX control, ask yourself these questions:

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you trust the website that is providing it. Click Related Topics for information about how to decide if you can trust a website.

  • Do you know what the control is for and what it will do to your computer?

    The website should tell you what this ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.

What to do if you see the following message: This site might require the following ActiveX control: Name. From: Publisher. Click here to install.

This message appears when a webpage tries to install an ActiveX control that has a valid digital signature.

If you trust the publisher and want to install this ActiveX control on your computer, click the Information bar to install it.

What to do if you see the following message: To help protect your security, Internet Explorer stopped this site from installing an ActiveX control on your computer. Click here for options.

This message appears when a webpage tries to install an ActiveX control that you did not request and that does not have a valid digital signature.

To install the ActiveX control anyway (not recommended):

  1. Click the Information bar.
  2. Click Install software.


Why does Internet Explorer block some files from being downloaded?

Internet Explorer will block a file from downloading if it appears that you did not request the file. This might happen if a website tries to download files to your computer without your permission or if you requested a file but the download did not start immediately.

Before downloading any file, ask yourself these questions:

  • Did you ask for this file?

    Did you click a link on a website to start this download, or did the download begin without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, cancel the download. If you choose to save or run the file, make sure you know what it is for and what it will do to your computer before you proceed.

  • Do you trust the website providing the file?

    Don't download any file unless you absolutely trust the website or publisher it is from. Click Related Topics for more information about making this decision.

  • Do you know what the file is for and what it will do to your computer?

    The website providing the file should describe what the file is for and provide any special details you need to know about the file to run it. If this information is not available, be cautious about downloading the file.

What to do when a file is blocked

When a file is blocked, a message will appear on the Information bar. If you are sure that you want to download the file, click the Information bar, and then click Download File. When you are prompted to download the file, read the information in the dialog box very carefully. Make sure the file is from a website you trust.


Why does Internet Explorer restrict some file content?

Internet Explorer restricts file content if that content could be harmful to your computer. When you visit a website or download a file, the computer that contains the page or file you want to see provides security information about that file. If the contents of the file don't match the security information, the file will open as a plain text file. This might cause the file to display differently than you would expect, but it can help protect your computer.

To view restricted content, click the Information bar, and then click Show Restricted Content.


What is active content and why does Internet Explorer restrict it?

Active content is interactive or animated content used on websites. It includes ActiveX controls and web browser add-ons, which are small programs that are used extensively on the Internet. Active content can make web browsing more enjoyable by providing toolbars, stock tickers, video, animated content, and more.

Why does Internet Explorer restrict active content?

Internet Explorer restricts this content because occasionally these programs can malfunction or give you content you don't want. In some cases, these programs can be used to collect information about you, damage information on your computer, install software without your consent, or allow someone else to control your computer remotely. Given these risks, you should only allow active content if you completely trust the publisher or the website it's coming from.

How can I allow active content?

If Internet Explorer restricts active content that you are sure you want to allow, click the Information bar, and then click Allow blocked content.


Working with temporary Internet files

As you view webpages, the files and pictures associated with those pages are stored in the Temporary Internet Files folder on your computer. This speeds up the display of pages you frequently visit or have already seen because Internet Explorer can open them from your computer instead of from the web.

Increasing the space that is set aside for this folder can increase how fast previously visited pages are displayed, but it decreases the amount of space available for other files on your computer. You can choose how much space is set aside for temporary Internet files and you can delete the files that are currently saved in that space.

To set the space allowed for temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. In Disk space to use, set the maximum amount of disk space allowed for temporary Internet files. We recommend setting this somewhere between 50 and 250 megabytes (MB).
  4. Click OK twice.

To delete temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. Click Delete files, and then click Yes.
  4. Click Close, and then click OK.


Change Internet Explorer Advanced settings

What can I set in Advanced settings?

The Advanced tab contains settings for various Internet Explorer options, organized by category. Most of these settings can be changed elsewhere in Internet Explorer, but you might find it helpful to change them from this central location. If a setting has an asterisk (*) next to it, you will have to close Internet Explorer and restart it before that change will take effect.

To change Internet Explorer Advanced settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.

What does Restore Advanced Settings do?

This feature resets Internet Explorer advanced settings to their default settings (as they were when you first installed Internet Explorer).

What does Reset Internet Explorer settings do?

This feature restores Internet Explorer to the condition it was in when you first installed it. Although this option will reset nearly every user setting in Internet Explorer, it doesn't delete your favorites, feeds, or Group Policy settings. For more information, see Reset Internet Explorer default settings.


Make Internet Explorer the default web browser

To make Internet Explorer the default web browser

You can choose which web browser is used to view Internet content. For example, if you receive an e-mail message that contains a link to a website, you can choose which web browser is used to open that link. If Internet Explorer is not currently your default web browser, but you want it to be, follow these steps:

  1. Open Internet Explorer
  2. Click the Tools button, and then click Internet Options.
  3. Click the Programs tab, and then click Make default.
  4. Click OK to return to Internet Explorer, and then close Internet Explorer.


Change or choose a search provider in Internet Explorer

You can choose which search provider you would like to use when you search for information on the Internet. You can change the provider temporarily (for a single search or until you close Internet Explorer) and you can change the default search provider (the provider that is used automatically when you search in Internet Explorer). When you first install Internet Explorer, you might have only one provider installed. If you want to change providers, follow the steps below to add new search providers.

To add new search providers

  1. Open Internet Explorer.
  2. Click the arrow to the right of the Search Options button Picture of the Search Options button.
  3. Click Find More Providers.
  4. Click the search provider you want to add. The Add Search Provider dialog box appears.
  5. If you want the provider that you just added to be used by default when searching from the Address bar or search box, select the Make this my default search provider check box.
  6. Click Add Provider.
  7. Repeat steps 4 through 6 for each provider you want to add.

To add search providers discovered on webpages

Some webpages offer search providers. These providers will appear in the search provider list for your current browsing session and are identified with a gold star next to them. If you want one of these search providers to be available in Internet Explorer all the time (not just for the current browsing session), follow these steps:

  1. Open Internet Explorer.
  2. Go to a website that offers a search provider.
  3. Click the arrow to the right of the Search Options button Picture of the Search Options button.
  4. Click Add Search Providers. This will open a list of the search providers that Internet Explorer has discovered. Click the provider you want to add.
  5. Follow the prompts on the Add Search Provider dialog box.

To change the search provider temporarily (this session only)

  1. Open Internet Explorer.
  2. Click the arrow to the right of the Search Options button Picture of the Search Options button.
  3. Click the search provider would like to use.
  4. In the search box, type the word or phrase you want to search for, and then press ENTER.

    5. That search provider will be used until you close Internet Explorer. When you restart Internet Explorer, your default search provider will be used.

To change the default search provider

  1. Open Internet Explorer.
  2. Click the arrow to the right of the Search Options button Picture of the Search Options button.
  3. Click Change Search Defaults.
  4. Click the search provider you would like to set as the default, click Set Default, and then click OK.

To remove a search provider

  1. Open Internet Explorer.
  2. Click the arrow to the right of the Search Options button Picture of the Search Options button.
  3. Click Change Search Defaults.
  4. Click the search provider you would like to remove, click Remove, and then click OK.


Change Internet Explorer Connections settings

From the Connections tab, you can make changes to your Internet and network settings. The following topics help explain how you can make changes to these settings.

  • Change proxy server settings
  • Why is my Internet connection so slow?
  • What is an Internet Service Provider (ISP)?

To change Internet Explorer Connections settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Connections tab.

For more information about connections and network settings, search for "connection" or "Internet" in Windows Help and Support Center.


Change Internet Explorer Content settings

Internet Explorer content settings let you make changes to how Internet Explorer screens content and how it uses certificates, AutoComplete, and feeds (RSS).

How do I change my Internet Explorer content settings?

To change Internet Explorer content settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.

What is Content Advisor?

Content Advisor is a tool that blocks or allows specific websites, based on the site's content rating. For more information, see Content Advisor: frequently asked questions.

What are certificates settings?

Certificates provide website identification and encryption for secure connections. This section allows you to remove personal security information that is stored when you use a smart card or public computer kiosk (to clear the SSL state, in other words). You can also view or manage the certificates that are installed on your computer. For more information, go to the Windows Help and Support center, and search for "certificates."

What is AutoComplete?

AutoComplete is a feature in Internet Explorer that remembers the information you have typed into the Address bar, web forms, or passwords and provides that information if you start to type the same thing again later. This saves you from having to type the same information over and over. For more information on how to turn AutoComplete on or off, see Change AutoComplete settings.

What are feeds?

Feeds, also known as RSS feeds, contain frequently updated content published by a website. They are usually used for news and blog websites, but are also used for distributing other types of digital content, including pictures, audio, or video. For more information, see Using web feeds (RSS).


About “Cannot find server or DNS error” messages

What is DNS?

The Domain Name System (DNS) is a technology that translates Internet address names into numerical addresses (IP addresses) so that the address can be found on the Internet. For example, if you type www.microsoft.com into Internet Explorer, the name is translated into a numerical address and that address is used to connect you to the Microsoft website. Internet Explorer automatically requests the translation from a DNS server every time you go to a new web address.

Why does this error occur?

This error occurs when Internet Explorer tries to access a website and fails. This can happen for a number of reasons, including the following:

  • Your computer is not connected to the Internet.
  • The website address (URL) was not typed correctly.
  • The DNS server does not have a record of the website or the web server is not connected.

What should I do when I get a DNS error?

First, make sure that you typed the web address correctly in the Address bar. If the spelling is correct, go to a different website to make sure your computer is connected to the Internet. If your computer is connected to the Internet and you have spelled the name correctly, the DNS server does not have a record of the website or the website is unavailable. You might want to try again later.


Downloading files from the Internet: frequently asked questions

Here are answers to some common questions about downloading files from the Internet.

What does it mean to download a file?

When you download a file, you transfer it from the Internet to your computer. The most commonly downloaded files are programs, updates, or other kinds of files such as game demos, music and video files, or documents. Downloading can also mean copying information from any source to a computer or other device, such as copying your favorite songs to a portable music player.

What are the risks when downloading files?

Whenever you download a file, there is always a small risk that the file will contain a virus or a program that can damage your computer or your information. Here are some precautions you can take to help protect your computer when you download files:

  • Install and use an antivirus program. Antivirus programs scan files before opening them and notify you if a file is potentially unsafe. Be sure to keep your antivirus program up to date.
  • Only download files from websites that you trust.
  • If a file contains a digital signature (a way to see who published the file, and whether it has been changed since it was signed), make sure that the signature is valid. If it's not, don't open the file. To see the digital signature, click the publisher link in the security dialog box that Internet Explorer displays when you first download the file.
  • Be cautious of certain file types. Some file types are less safe because they can potentially carry viruses. The main file types to treat with caution are program files (also referred to as executable files) with extensions such as .exe, .scr, .bat, .com, or .pif. Often, a potentially dangerous file is disguised as a less risky file type by having two file name extensions, such as filename.txt.exe. This example might look like a text file, but it's actually an executable file.

Why do I get so many warnings when I download a file?

These messages provide information to help you decide whether a file is okay to download or open. They give you a chance to cancel downloading a file if you don't trust the source, or to make sure that the file isn't downloaded without your knowledge or permission.

Can I download more than one file at a time?

Yes. Windows will allow you to download multiple files, with a separate progress window for each. The performance of your computer might vary with the speed of your Internet connection, or the servers you're downloading from.

Why does it take so long to download a file?

  • Your Internet connection might be slow. If you have a dial-up connection, it takes a lot longer to download files than if you have a broadband connection, such as DSL or cable.
  • Your Internet Service Provider (ISP) might be offline or experiencing heavy Internet traffic. Wait a while, and then try again.
  • If you are on a corporate network, the network settings might be the problem. Check with your system administrator.
  • If you use a file or music sharing program, someone might be downloading a file from your computer. Try disabling file sharing services while you're downloading and see if the process gets faster.
  • You might have too many programs open at the same time. Try closing unnecessary programs.
  • Your computer might have spyware running. Try scanning your computer for spyware. See related topics for more information on spyware.
  • Missing updates can affect your computer's performance. Go to the Windows Update (http://update.microsoft.com) website and check for updates.

What happens if a file I'm downloading gets interrupted or I need to pause and finish later? Do I have to start over?

Yes, you might need to start over. If you stop in the middle of downloading a file, it is possible that all of the necessary data might not be successfully transferred to your computer.

Can I cancel downloading a file if it's taking too long?

Yes. You can cancel a download at any time by clicking the Cancel button in the file download dialog box.


Internet Explorer General tab

How do I set my home page?

Your home page is displayed when you first start Internet Explorer. For more information, see Change your home page.

How do I manage history and temporary Internet files?

The History and Temporary Internet files section lets you delete temporary Internet files, cookies, history, stored form entries, and stored passwords. For more information, see the following Help topics:

  • Working with temporary Internet files
  • Deleting cookies
  • Delete AutoComplete entries from the Address bar list

What are search settings and how do I change them?

Search settings let you add or remove search providers that are used in the search box. You can also set a default search provider to be used in the search box and Address bar.

For more information, see Change or choose a search provider in Internet Explorer.

What can I do with tab settings?

Tabbed browser settings let you change how Internet Explorer works with tabs. For more information, see Tabbed browsing: frequently asked questions.

What do the Appearance options do?

The appearance settings let you change how webpages are displayed and optimize Internet Explorer for better accessibility. You can choose from the following options:

Option | What it does
Colors | Lets you set your default text and background colors. For information about changing colors, see Change the colors used for webpages.
Fonts | Lets you change the fonts used when displaying webpages. For information about fonts, see To display webpage text in a different font.
Languages | Lets you choose the languages used when displaying webpages. For information about changing webpage languages, see To specify another language for webpage content.
Accessibility | This lets you choose and override default font, colors, and style settings that are specified by webpages. For more information, see To override website font and color settings.


Changing intranet security settings

Here are answers to some common questions about intranets and intranet security.

What is an intranet?

An intranet is a private network, usually within a company or organization. An intranet uses the same protocols as the Internet and can contain the same types of content.

What's an intranet used for?

Intranets are commonly used to store internal, company-related content, such as information about company policies or employee benefits. Because security is tightly controlled by the administrator, the security settings for intranet content can be less restrictive than the settings used for content that comes from the Internet.

What's the difference between an intranet and the Internet?

One difference between the Internet and an intranet is the way pages are addressed. On the Internet, webpages typically are addressed through a full domain name, such as www.microsoft.com. Depending on how the administrator has configured the network, the domain name is usually not needed to access intranet sites and many webpages can be accessed by typing a common name (for example, http://benefits). If intranet security is enabled, Internet Explorer will recognize the difference between the addresses and use the appropriate security zone settings.

Do I need to set anything in Internet Explorer to have intranet security?

Not usually. When you first install Internet Explorer, it will check to see if you are on an intranet and set address checking appropriately. Your network administrator can also control whether Internet Explorer uses the intranet security zone settings. If Internet Explorer recognizes that you are on an intranet, you do not need to do anything else. If it does not recognize that you're on an intranet, follow these steps to to tell Internet Explorer that you are on one:

To tell Internet Explorer that you are on an intranet

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click Local intranet.
  3. Click the Sites button.
  4. In the Local intranet dialog box, clear the Automatically detect intranet network check box, if it is selected.
  5. Select all other check boxes, and then click OK twice.

Why do I get an Information bar notice about the intranet?

If you are connected to an intranet but receive an Information bar notice that an intranet address has been detected, it means that Internet Explorer did not automatically detect your intranet. To tell Internet Explorer that you are on an intranet, follow the steps in the section above.

How do I connect to my company's intranet?

To learn how to connect to your company's intranet, you'll need to talk to your network administrator or search for "network" in Windows Help and Support Center. The settings discussed above control how Internet Explorer works with intranet addresses, but those settings will not help you set up an intranet connection if one does not already exist.


Fill in passwords automatically

To fill in passwords automatically

By default, Internet Explorer is set up to remember passwords automatically if you would like it to do so. When you first type a password into a web form, you will be asked if you would like Internet Explorer to remember the password. If you would like the password to be remembered, simply click Yes.

If you are not asked whether you would like the password to be remembered, you need to turn on the AutoComplete feature.

To turn on the AutoComplete feature

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.
  3. Under AutoComplete, click Settings.
  4. Select the User names and passwords on forms check box.
  5. If you would like Internet Explorer to ask you for permission to save new passwords, select the Prompt me to save passwords check box. If you want Internet Explorer to save passwords automatically and not ask for your permission for each new password, clear that check box.
  6. Click OK twice.

Note

  • If you want to delete the names, passwords, or other information that is saved in Internet Explorer, you can do so. To learn how, click Related Topics.


Change Internet Explorer Privacy settings

Being aware of how your private information is used when browsing the web is important to help prevent targeted advertising, fraud, and identity theft.

How do I change my Internet Explorer Privacy settings?

To change Internet Explorer privacy settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab.

What cookie settings are available?

You can choose standard cookie settings or block or allow cookies for specific websites. For more information about cookies, see Cookies: frequently asked questions.

What is Pop-up Blocker?

Pop-up Blocker is a feature in Internet Explorer that stops many unwanted pop-up windows from appearing. For more information, see Pop-up Blocker: frequently asked questions.


Change Internet Explorer Programs Settings

By using Internet Explorer's Programs settings, you can change your default web browser and webpage editor, and manage Internet Explorer add-ons.

How do I find Internet Explorer's Programs settings?

To find Internet Explorer Programs settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Programs tab.

What does the Internet Programs setting do?

This option allows you to choose which programs are used for common Internet-related tasks (such as reading e-mail messages).

What do the default web browser settings do?

The default web browser settings allow you to specify which web browser will be used to open websites when you click a web link in a program or in a document. By default, Internet Explorer will be used.

What does Manage Add-ons do?

It allows you to view, enable, or disable the add-ons on your computer. Add-ons include things such as ActiveX controls, Browser Helper Objects (BHOs), and specialized toolbars. For more information about add-ons, see Web browser add-ons: what you need to know and How do browser add-ons affect my computer?


Remove spyware

To remove spyware

There are several solutions to try, from simple to more advanced. Follow these steps, in order, until the spyware is removed.

Use an antispyware scanner and removal tool

Antispyware scanners are often included in antivirus products. If you already have an antivirus product installed, check to see if it includes antispyware capabilities or if you can update the product to add them, and then run the scanner. If you don't have an antispyware tool, there are several available on the Internet. Choose one from a trusted source, or ask someone for a recommendation.

Uninstall spyware

Occasionally, it is possible to use Add or Remove Programs in the Windows Control Panel to uninstall spyware. Although many spyware programs use special installation methods to avoid showing up in the list of programs that can be removed, some will appear there.

Warning

  • Use this method with extreme caution. Please be careful and only remove programs that you can positively identify as spyware.

To uninstall spyware

  1. In Windows, click Start, click Control Panel, and then click Add or Remove Programs.
  2. Click Remove a program.
  3. Scan the list for programs that look like spyware. To identify these programs, look for programs that you did not install or do not want, or those with names related to any toolbars or dialog boxes the spyware has displayed.
  4. Click the program that you want to remove.
  5. Click Change/Remove and follow the prompts to remove that program.
  6. Continue to remove spyware programs by following steps 4 and 5 above.
  7. When you are finished removing spyware programs, close the Add or Remove Programs dialog box by clicking the Close button.

Be aware that some spyware might appear in the list of programs that can be removed. In addition, some spyware programs will not uninstall completely, even if they are listed, or they might request a fee for removal (which you should not pay). When you're done uninstalling spyware, check your system again with an antispyware scanner and removal tool.

Restore the computer to the state that it was in before spyware infected it

If you can pinpoint the date when the spyware was installed, you might be able to use Windows System Restore to return the computer to the state it was in before the problem started.

To restore the computer to a previous state

  1. In Windows, click Start, point to All Programs, point to Accessories, point to System Tools, and then click System Restore.
  2. Follow the prompts to complete the restoration process.

After restoring your system, go to the Windows Update (http://update.microsoft.com) website and check for updates as soon as possible. By restoring the computer to a previous state, it is possible that important system updates were deleted. It's important to reinstall those updates because they might protect the computer from being infected again.

Reinstall Windows

Some spyware has the ability to hide itself so well that it simply cannot be removed. If you still see evidence of spyware after trying the solutions above, you might need to reinstall Windows and your programs.

Warning

All of your files and programs will be deleted if you follow these steps. This will remove the spyware, but it will also erase all of the files on your computer and should only be tried as a last resort. If you must do this, be sure to carefully follow these steps.

To reinstall Windows

  1. Back up all of your files and information on external media (for example, CDs, DVDs, USB flash drives, or other media that is not on your computer's hard disk drive).
  2. Write down user names and passwords for Windows, e-mail programs, instant messaging programs, or any other programs you will need later.
  3. Gather all the software disks and product keys that came with your computer or with any of your hardware (such as a printer or scanner). Most manufacturers place the Windows product key on the outside of the computer. Other program's keys are usually on their CD cases, instruction manuals, or registration cards.
  4. Write down the brand and model of hardware devices such as video cards, audio cards, or printers in case you also need to install the software for them. You can find some of this information in Device Manager (click Start, click Control Panel, click Printers and Other Hardware, on the left, click System, click the Hardware tab, and then click Device Manager). If you bought your computer through a retail computer store or website, you might be able to search that website with the computer's model number, and find a hardware list.
  5. Reinstall Windows. If your computer came with a recovery disk, follow the instructions provided by the manufacturer. If no specialized recovery disk was provided, reinstall Windows from a product disk.
  6. After Windows is reinstalled, go to the Windows Update (http://update.microsoft.com) website and install the latest updates immediately. Applying the latest Windows updates can help prevent future spyware infections.
  7. Install up-to-date antivirus software. Most antivirus companies offer spyware detection and protection. If you don't have an antivirus program, visit the Microsoft Security at Home (http://www.microsoft.com/athome/security/default.mspx) website.


What you should know about running scripts and ActiveX controls in Internet Explorer

Be cautious about allowing websites to run scripts or ActiveX controls on your computer. While these items can enhance web browsing, they can also be a security risk, and it’s best to avoid using them when you can. However, some websites or tasks might require them and you will have to decide whether to trust ActiveX controls that Internet Explorer blocks for your safety.

For more information about ActiveX controls and their possible security risks, click Related Topics.


Security and privacy features in Internet Explorer

Internet Explorer offers a number of features to help you manage your security and privacy when you browse the web.

How does Internet Explorer help keep me secure when I first install?

By default, Internet Explorer is set to provide a level of security that can help protect you against common threats, such as spyware or other types of malware, when browsing the web. These settings can help protect against known security threats, such as websites installing add-ons and other programs without your knowledge. For new and unknown vulnerabilities and threats, Internet Explorer's Protected Mode setting keeps websites from gaining access to your computer.

What security features does Internet Explorer have?

Security features in Internet Explorer include:

  • Phishing Filter, which can help protect you from Phishing attacks, online fraud, and spoofed websites. For more information, see Phishing Filter: frequently asked questions.
  • Pop-up Blocker, which can help block most pop-up windows. For more information, see Pop-up Blocker: frequently asked questions.
  • Add-on Manager, which lets you disable or allow web browser add-ons, and delete unwanted ActiveX controls. Add-ons Disabled Mode lets you disable all add-ons and controls at once to troubleshoot malicious or faulty add-ons. For more information, see Web browser add-ons: what you need to know.
  • Notification when a website is trying to download files or software to your computer.
  • Digital signatures, which tell you who published a file and whether it has been tampered with it since it was digitally signed. For more information, see What's a digital signature?
  • A 128-big secure (SSL) connection for using secure websites. For more information, see How to know if an online transaction is secure.

How can I protect my privacy online?

Internet Explorer provides a number of features that can help protect your privacy and help make your computer more secure.

Privacy features in Internet Explorer include:

  • privacy settings that specify how your computer handles cookies. Cookies are files created by some websites that store information about you on your computer (for example, your user name, password, or the contents of your shopping cart). Cookies might also store information that can be used to contact you, such as your name or e-mail address.
  • Privacy alerts that let you know when you try to go to a site that doesn't meet the criteria in your privacy settings.
  • The ability to view a website's privacy policy.

Why am I getting the message "Your security setting level puts your computer at risk"?

By default, Internet Explorer recommends settings that can help protect your computer from websites that are trying to install malicious or unwanted software without your knowledge or permission. Changing certain security settings in Internet Options in the Control Panel that are less secure than what is recommended, Internet Explorer will highlight the setting in red and display an information bar while you browse. You will also get a full page notification when you first start Internet Explorer with lower than recommended security settings. Only the settings in the Customize section that can leave your computer vulnerable to attack will be highlighted or show the warning messages.

What is changed when I click "Fix Settings for Me" on the Information bar when my computer is at risk?

When you click Fix Settings for Me on the Information bar, Internet Explorer will reset the security settings that put your computer at risk back to their recommended settings. To see your security settings follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab.
  3. Click the Internet zone, and then click Custom level.
  4. As you scroll the list, you will see the settings that are not at recommended levels.

How do I change my security and privacy settings?

  • To change your security settings, click the Tools button, click Internet Options, and then click the Security tab.
  • To change your privacy settings, click the Tools button, click Internet Options, and then click the Privacy tab.

Where can I find more information about protecting my computer and my privacy when I'm online?

For more information about protecting your computer and your privacy when you're online, visit the Microsoft Security (http://www.microsoft.com/security) website or the Protect Your PC (http://www.microsoft.com/athome/security/protect/windowsxpsp2) website.


Change Internet Explorer Security settings

The Internet Explorer Security tab is used to set and change options that can help protect your computer from potentially harmful or malicious online content.

How do I find Internet Explorer's Security settings?

If you aren't already looking at Internet Explorer's Security settings, follow these steps to find them:

To find Internet Explorer Security settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab.

Internet Explorer assigns all websites to one of four security zones: Internet, Local intranet, Trusted sites, or Restricted sites. The zone to which a website is assigned specifies the security settings that are used for that site.

The following table describes the four security zones in more detail.

Internet | The level of security set for the Internet zone is applied to all websites by default. The security level for this zone is set to Medium High (but you can change it to either Medium or High). The only websites for which this security setting is not used are those in the Local intranet zone or sites that you specifically entered into the Trusted or Restricted site zones.
Local intranet | The level of security set for the Local intranet zone is applied to websites and content that is stored on a corporate or business network. The security level for the Local intranet zone is set to Medium (but you can change it to any level).
Trusted sites | The level of security set for Trusted sites is applied to sites that you have specifically indicated to be ones that you trust not to damage your computer or information. The security level for Trusted sites is set to Medium (but you can change it to any level).
Restricted sites | The level of security set for Restricted sites is applied to sites that might potentially damage your computer or your information. Adding sites to the Restricted zone does not block them, but it prevents them from using scripting or any active content. The security level for Restricted sites is set to High and can't be changed.

Note

  • In addition to the default security levels, you can also customize individual security settings by clicking the Custom level button.

How do I assign a website to a security zone?

For information about adding or removing websites from security zones, see Understanding security zones.

Can I change my privacy settings in this tab?

No. Privacy and cookie settings are changed on the Privacy tab.


Why is my Internet connection so slow?

No matter how fast your Internet connection is, there are times when things will slow down to a crawl. This article will help you sort out what kinds of things can go wrong, learn what you can do about them, and discover how to get the most from your Internet connection.

The type of connection you have makes a difference

The type of Internet connection you use is the most important factor in determining your connection speed. The three most common ways to connect to the Internet from home are dial-up, DSL, and cable. If you have a choice, cable is usually the fastest, but both DSL and cable are faster than dial-up.

If you use a dial-up connection, there are a couple of good ways to optimize your Internet speed. First, use the fastest modem you can. The fastest modem you can use will send and receive information at a rate of 56 kilobits per second (Kbps). You won't get a full 56 Kbps speed most of the time, but with a good phone line, you should approach at least 45-50 Kbps.

Second, make sure that your phone line is in good condition. If the telephone wiring in your home or business is old or deteriorating, you might be picking up stray signals or cross talk from other phone lines. These problems will slow your Internet connection because the modem will have to send the same information over and over until it is transmitted without interruption. Check your telephone wires to be sure they are not damaged, frayed, or twisted around power or other telephone cables. If you notice crackling in your phones, you might want to contact your phone provider to have them check the lines inside and outside your home to make sure they are in good condition.

Computer woes: spyware, viruses, and other programs

The health of your computer can affect your Internet connection. Spyware and viruses can definitely cause problems, but your Internet connection speed can also be affected by add-on programs, the amount of memory the computer has, hard disk space and condition, and the programs that are running.

Two of the most frequent causes of poor Internet performance are spyware and viruses. Spyware can slow your system by interfering with your browser and monopolizing your Internet connection. Spyware monitors your Internet use and keystrokes, which adds delays. The problem is compounded when there are multiple spyware programs running at the same time. If the problem is severe enough, you can lose connectivity altogether. To get your Internet performance back, you should regularly run an antispyware program to clean out any spyware infestation. For more information, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website.

Computer viruses can also cause poor Internet performance. When a virus infects a computer, it installs computer code which will attempt to propagate itself, usually by sending copies of itself through e-mail. Some viruses can multiply at the rate of hundreds of e-mail messages per minute, which leaves little computing power and Internet connection bandwidth for anything else. Viruses often do not give any obvious indication that they are running, so it is best to run your antivirus software at all times. For more information about dealing with viruses, click Related Topics.

Browser add-ons also cause performance problems. Browser add-ons are programs, such as multimedia add-ons, search bars, or other programs that usually appear on your browser's toolbar. Many browser add-ons can add to a rich browsing experience, offering multimedia or specialized document viewing. However, some add-ons can slow your Internet connection. If you suspect that add-ons are causing slow performance, try starting Internet Explorer with all add-ons disabled. Add-ons are disabled only for the session, but if you find your performance improves, you can use the Add-on Manager to turn add-ons off permanently. To access the Add-on Manager from Internet Explorer, click Tools, and then click Add-on Manager. For more information, click Related Topics.

Like all computer programs, Internet Explorer requires a certain amount of computing power, memory, and disk space to run efficiently. Every webpage you view is first downloaded to memory and then saved to temporary disk files. Running another program that is using lots of memory and computing power can compete with Internet Explorer and cause delays. If you find your Internet connection running slowly and you have other programs running, try closing them. If you want to run several programs, consider increasing the memory you have on your computer.

Outside factors that affect connection speeds

Unfortunately, there are events and conditions that are outside your control. Even with a fast connection, external factors, such as busy websites or spreading computer viruses, can slow the entire web. Popular websites can become overwhelmed with users. For example, when a television commercial mentions a website, many people might try to visit the site at the same time. If the website isn't prepared to handle the traffic, you might encounter delays.

During times of heavy computer virus outbreaks, the Internet can slow down. Many viruses spread by causing computers to send out hundreds or thousands of copies of the virus. This can slow the Internet by sheer volume. You can see what major outbreaks are currently happening by visiting your antivirus vendor's website, or the Security at Home (http://www.microsoft.com/athome/security/default.mspx) website.

Local Internet congestion can also result in slower-than-normal connection speeds. These slowdowns occur when many people try to connect to the Internet at the same time, and they occur most often at peak activity times, such as after school hours when students get home and connect to the web.

If you're on a corporate network, general network and proxy server use can affect your Internet performance. Most network administrators monitor Internet use, and will try to keep people from doing things like downloading large files during peak hours. If you find that your Internet access is slow at times, you might discuss it with your network administrator.

Tips for wireless network users

When connecting to a wireless network (Wi-Fi), your Internet connection speed can be affected by both where your computer is located and whether other wireless devices are in the same area. Wireless networks operate on frequencies that are similar to those used by other devices, such as microwave ovens or cordless phones. Operating a 2.4 gigahertz (GHz) cordless phone next to your 2.4 GHz wireless laptop can cause interference, or completely block the wireless network connection. If you want to make phone calls while surfing the web, either use a wired telephone or cordless phone that operates at a different frequency than your wireless network.

Proximity to the wireless access point or router, as well as physical obstructions, can affect the quality of your Internet connection. To improve your connection speed, move closer to the access point and make sure that there are no physical obstructions between your computer and it.


Get information about Secure Sockets Layer (SSL) certificates

When you connect to a commerce website, such as a bank or bookseller, Internet Explorer uses a secure connection that uses Secure Sockets Layer (SSL) technology to encrypt the transaction. The encryption is based on a certificate that provides Internet Explorer with the information it needs to communicate securely with the website. Certificates also identify the website and owner or company.

You can view a certificate to validate the identity of a website before providing personal or financial information to an online business.

To validate the identity of a website

  1. Open Internet Explorer.
  2. Go to the website that you want to validate.
  3. Click the Lock icon Picture of the Lock icon, which is located to the right of the Address bar.

Basic certificate information (for example, the name and address of the website owner and information about who certified the site) will be displayed. To see additional information, click View Certificates.

Note

  • If a lock icon does not appear in the Address bar in step 3 above, the connection is not secure and should not enter personal or financial information.


Use your own style sheet to format webpages

If you want to specify how webpages will display, you can use your own style sheet. A style sheet is a template that defines the fonts and visual styles that are used on a webpage. Using your own style sheet is helpful if the original design of a webpage doesn't work well for accessibility reasons.

To pick a style sheet

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Accessibility.
  3. In the Accessibility dialog box, select the Format documents using my style sheet check box.
  4. Type the name of the style sheet you want to use, or click Browse and navigate to it.
  5. Click OK twice to finish.

Note

  • You must either write your own style sheets or get them from another source. For more information about creating style sheets, see the Worldwide Web Consortium (W3C) (http://www.w3.org/StyleSheets/Core/) website or the HTML Writers Guild (http://aware.hwg.org/tips/essay_kb_03.html) website.


View temporary Internet files

Webpages are stored in a temporary Internet files folder the first time you view them in your web browser. This speeds up the display of pages you frequently visit or have already seen, because Internet Explorer can open them from your hard disk instead of from the Internet.

To view temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. In the Settings dialog box, click View files.

To delete temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. In the Delete Browsing History dialog box, click the individual button for the type of information you want to delete, or click Delete all to remove all temporary files.
  4. When you have finished deleting the files you want to, click Close, and then click OK.

Note

  • If you want to save a permanent copy of one of the files in the temporary Internet files folder, copy it to another folder. To copy a file while you're viewing temporary files, right-click the file, click Copy, and then paste the file into another folder.


Introducing Internet Explorer 7

Here are some ways that Internet Explorer makes browsing the web easier, safer, and more enjoyable.

Increased security and privacy

New security and privacy features allow you to browse the web more safely.

  • Phishing Filter can help protect you from phishing attacks, online fraud, and spoofed websites.
  • Higher security levels can help protect you from hackers and web attacks.
  • The Security Status bar displays the identity of secure websites to help you make informed decisions when using online banking or merchants.
  • Internet Explorer's add-on disabled mode lets you start Internet Explorer without toolbars, ActiveX controls, or other add-ons that might slow your computer or prevent you from getting online.

New features

  • Tabbed browsing is a new feature in Internet Explorer that allows you to open multiple websites in a single browser window. You can open webpages or links on new tabs and then switch between them by clicking the tab. If you have a lot of tabs open, you can use Quick Tabs Picture of Quicktabs button to easily switch between open tabs.
  • The new Instant Search box Picture of the Instant Search box lets you search the web from the Address bar. You can also search using different search providers to get better results.
  • Internet Explorer now lets you delete your temporary files, cookies, webpage history, saved passwords, and form information from one place. Delete selected categories, or everything at once.
  • Click the Favorites button Picture of the Favorites Center button to open the Favorites Center to manage favorites, feeds, and history in one place.
  • The Zoom Picture of zoom button feature lets you enlarge or reduce text, images, and some controls.

For more information on how to use these new features, click Related Topics.

Read and subscribe to feeds

A feed, also known as RSS feed, XML feed, or syndicated content, is website content that can be automatically delivered to your browser. By subscribing to a feed, you can get updated content, such as breaking news or your favorite blog, without having to visit the website. The Feeds button Picture of feeds button in the Internet Explorer toolbar will light up when a feed is available for a webpage you're viewing. Click the button to display the feed or to subscribe. For more information about feeds, click Related Topics.

Help prevent online attacks by keeping Internet Explorer up to date

Keeping Windows and Internet Explorer up to date is one of the best ways to prevent trouble online. Microsoft issues updates periodically which can help prevent online attacks through known vulnerabilities and provides these updates free of charge through Windows Update. If your computer is not set up to automatically receive updates, you can manually request these updates by using Internet Explorer. Click the Tools button, and then click Windows Update. Follow the prompts on the screen to check for updates.


What are Internet Explorer favorites?

Internet Explorer Favorites are links to websites that you visit frequently. By adding a website to your favorites list, you can go to that site by simply clicking its name, instead of having to type its address. If you are viewing a website and want to add it to your favorites list, click the Add to Favorites button Picture of the Add to Favorites button, and then click Add to Favorites. Type a new name for the page if you want to, specify the folder that the favorite should be created in, and then click Add. You can also save a favorite by pressing CTRL+D.


What is an Internet Service Provider (ISP)?

An Internet Service Provider (ISP) is a company that provides you with access to the Internet, usually for a fee. The most common ways to connect to an ISP are by using a phone line (dial-up) or broadband connection (cable or DSL). Many ISPs provide additional services such as e-mail accounts, web browsers, and space for you to create a website.


Tips for Netscape users

Whether you are switching from Netscape Navigator or just want to use more than one browser, it's easy to learn and use Internet Explorer. From keyboard shortcuts to bookmarks, you can make the transition simple and fast.

To see what's new in Internet Explorer, see Introducing Internet Explorer 7.


Make an existing favorite item available offline

The offline viewing feature has been removed from Internet Explorer. For more information, see What happened to offline favorites?


Change how a webpage looks when it prints

To change how a webpage looks when it prints

  1. Click the arrow to the right of the Print button Picture of the Print button, and then click Page Setup.
  2. In the Margins boxes, type the margin measurements in inches.
  3. Under Orientation, click either Portrait or Landscape to specify whether you want the page printed vertically or horizontally.
  4. In the Header and Footer boxes, specify the information to be printed by using the following variables. Variables can be combined with text (for example, Page &p of &P).
To print this | Type this
Window title | &w
Page address (URL) | &u
Date in short format (as specified by Regional and Language Options in Windows Control Panel) | &d
Date in long format (as specified by Regional and Language Options in Control Panel) | &D
Time (as specified by Regional and Language Options in Control Panel) | &t
Time in 24-hour format | &T
Current page number | &p
Total number of pages | &P
Right-aligned text (following &b) | &b
Centered text (between &b&b) | &b&b
A single ampersand (&) | &&

Note

  • If you want to set margins in millimeters instead of inches, you must change the Regional and Language Options in Windows Control Panel.


E-mail a picture from a webpage

To e-mail a picture from a webpage

  1. In Internet Explorer, right-click the picture you want to send in e-mail.
  2. Click E-mail Picture.
  3. Choose whether you want to reduce the size of the picture when it is sent or keep it the same size, and then click OK.
  4. Send the e-mail as you typically would.


Using the image toolbar in Internet Explorer

The image toolbar is no longer supported by Internet Explorer. See the links below for information about how to perform image toolbar tasks in this version of Internet Explorer.

To do this | See this topic
Save a picture from a webpage | To save a picture from a webpage
Print the image from a webpage | To print a picture from a webpage
Send the image in e-mail using your default e-mail program | To e-mail a picture from a webpage


Understanding privacy policies

A website's privacy policy tells you what kind of information the website collects, to whom it gives that information, and how it uses the information.

Many websites provide privacy statements as written documents that you can view on the Internet. Websites also might provide a Platform for Privacy Preferences (P3P) privacy policy. If a website has a P3P privacy policy, Internet Explorer can display it. Internet Explorer also might be able to compare your privacy settings to a representation of the P3P privacy policy to determine whether to allow the website to save information on your computer (in the form of small files called cookies).

For more information about cookies or the security and privacy features in Internet Explorer, click Related Topics.


View a website's computer-readable P3P privacy policy

To view a website's P3P privacy policy

  1. In Internet Explorer, click the Page button, and then click Web Page Privacy Policy.
  2. Double-click the website for which you want to view the privacy policy.
  3. When you are finished reviewing the privacy policy, click OK, and then click Close.

Notes

  • Internet Explorer can only display a website's privacy policy if the policy is written using Platform for Privacy Preferences (P3P) standards. Even if a website does not have a P3P privacy policy, it might have a written privacy statement that you can view on the Internet. Although Internet Explorer can display a website's P3P privacy policy, Internet Explorer cannot verify that the website complies with its own privacy policy.
  • After reviewing the P3P privacy policy, you can specify how you want Internet Explorer to handle cookies from the selected website. If you want Internet Explorer to determine whether or not to allow this website to save cookies on your computer by comparing the privacy policy with your privacy settings, select Compare cookies' Privacy Policy to my settings. If you want Internet Explorer to always allow cookies from this website to be saved on your computer, select Always allow this site to use cookies. If you want Internet Explorer to never allow cookies from this website to be saved on your computer, select Never allow this site to use cookies.
  • For more information about privacy policies or the security and privacy features in Internet Explorer, click Related Topics.


Understanding privacy reports

The Privacy Report in Internet Explorer allows you to view the P3P privacy policy for a website, find out if a website might contain information provided by a third-party website (a website other than the one you are viewing), or find out if Internet Explorer restricted any cookies from the website you are viewing.

To learn how to view a website's privacy policy, or to learn more about privacy settings or the security and privacy features in Internet Explorer, click Related Topics.


Helping to protect your computer from unsafe software

When you download or run programs from the Internet, you want to know that the program comes from a known, reliable source. Internet Explorer uses Microsoft Authenticode technology to help verify the identity of the program. Authenticode technology checks to see if the program has a valid certificate, that the identity of the software publisher matches the certificate, and that the certificate is still valid. Note that this does not prevent a poorly written program from being downloaded or run on your computer, but it helps reduce the chance of someone misrepresenting a program that is intended to be malicious or intentionally harmful.

You can specify different settings for the way Internet Explorer handles downloading programs and files, depending on the zone they are coming from.

For example, you might be confident that what you download within your corporate intranet is safe. So, you might set your security settings for your Local intranet zone to a low level to allow downloading with little or no prompting. If the source is in the Internet zone or the Restricted sites zone, you might want your security levels set to Medium or High. Then, you'd be prompted with information about the program's certificate before it is downloaded, or you might not be able to download it all.


Assign a website to a security zone

To assign a website to a security zone

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click a security zone: Local intranet, Trusted sites, or Restricted sites.
  3. Click the Sites button. If you clicked Local intranet in step 2, click Advanced.
  4. Type the Internet address (URL) for the website that you want to add to this zone, and then click Add.

    If you want to add a website to the list of trusted sites, but the site is not secured (the address begins with HTTP instead of HTTPS), clear the Require server verification (https:) for all sites in this zone check box before adding the address. If that option is selected, you can only add secure websites to the list.

  5. Repeat step 4 for each site you want to add to the zone.
  6. When you are finished adding sites, click Close, and then click OK.

Notes

  • You cannot add websites to the Internet zone. This zone automatically includes everything that does not belong to any other zone or is not stored on your computer.
  • To remove a website from a zone, complete steps 1 through 3. In the Websites list box, click the name of the website you want to remove, and then click Remove.
  • If you want Internet Explorer to help verify that the server for the website is secure before adding it to the Trusted sites zone, select the Require server verification (https:) for all sites in this zone check box.


Understanding cookies

For more information about cookies, see Cookies: frequently asked questions.


Deleting cookies

You can delete all or some cookies in Internet Explorer.

To delete a single cookie

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. Click the View files button.
  4. Click the Name column heading to sort all the files alphabetically, and then scroll down until you see files that begin with the prefix Cookie:. All cookies will have that prefix, and they usually contain the name of the website that created the cookie.
  5. Right-click the cookie you want to delete, click Delete, and then click Yes.
  6. Close the window that contains the list of files, and then click OK twice to return to Internet Explorer.

To delete all cookies

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. Click Delete cookies.
  4. When you are prompted to confirm that you want to delete cookies, click Yes.
  5. Click Close, and then click OK.

Note

  • Some websites store your member name, password, or other information about you in a cookie. If you delete that cookie, you might need to enter your personal information again the next time you visit the site.


Change your privacy settings

Cookies are files that are stored on your computer by some websites. They're usually used to keep track of information about you (for example, your user name, password, or the contents of your shopping cart). Internet Explorer privacy settings let you specify which cookies you want to allow to be stored on your computer.

To change your privacy settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab, and then move the slider to the level of privacy you prefer.
Select this To specify this
Block All Cookies
  • Cookies from all websites will be blocked.
  • Cookies that are already on your computer cannot be read by websites.
High
  • Cookies from all websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from all websites that use information that can be used to contact you without your explicit consent will be blocked.
Medium High
  • Cookies from third-party websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from third-party websites that use information that can be used to contact you without your explicit consent will be blocked.
  • Cookies from first-party websites that use information that can be used to contact you without your implicit consent will be blocked.
Medium
  • Cookies from third-party websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from third-party websites that use information that can be used to contact you without your implicit consent will be blocked.
  • Cookies from first-party websites that use information that can be used to contact you without your implicit consent will be deleted from your computer when you close Internet Explorer.
Low
  • Cookies from third-party websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from third-party websites that use information that can be used to contact you without your implicit consent will be deleted from your computer when you close Internet Explorer.
Accept All Cookies
  • All websites will be allowed to save cookies on your computer.
  • Cookies that are already on your computer can be read by the websites that created them.

Notes

  • A first-party website is the website that you are currently viewing. A third-party website is a website other than the one you are currently viewing. Third-party websites usually provide some content on the website you are currently viewing. For example, many sites use advertising from third-party websites and those third-party websites might use cookies.
  • Some websites require cookies. If you select a privacy setting that does not allow cookies to be saved on your computer, you might not be able to view certain websites.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. To help ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to websites that previously had saved cookies on your computer, the websites that meet your privacy settings will save cookies on your computer again. The websites that do not meet your privacy settings will not be allowed to save cookies on your computer. For information about how to delete cookies, click Related Topics.
  • You can specify custom privacy settings for websites. For more information, click Related Topics.


Understanding unsigned controls

An unsigned control is software that does not have a valid software publisher's certificate. The certificate tells you who published the control and that it hasn't been tampered with since it was published.

When you know who published a control, you can decide whether to trust the publisher. Controls can contain computer code that can either inadvertently or deliberately damage your files. If a control is unsigned, you have no way of knowing who created it and whether to trust them.


Customize your privacy settings for an individual website

Cookies are files that are stored on your computer by some websites. They're usually used to keep track of information about you (for example, your user name, password, or the contents of your shopping cart). Internet Explorer privacy settings let you specify which cookies you want to allow to be stored on your computer.

To customize cookie settings for an individual website

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab, and then click Sites.
  3. In Address of website, type the complete address (URL) of the website for which you want to specify custom settings. For example, http://www.microsoft.com.
  4. To specify that you want Internet Explorer to always allow cookies from the specified website to be saved on your computer, click Allow. To specify that you want Internet Explorer to never allow cookies from the specified website to be saved on your computer, click Block.
  5. Repeat steps 3 and 4 for each website you want to block or allow. When you are finished, click OK twice.

Notes

  • Some websites require cookies. If you choose not to allow cookies to be saved on your computer, some websites might not display correctly.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. To help ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to websites that previously had saved cookies on your computer, the websites that meet your privacy settings will save cookies on your computer again. The websites that do not meet your privacy settings will not be allowed to save cookies on your computer. For information about how to delete cookies, click Related Topics.


Set a security level for each zone

Internet Explorer provides four security zones that can be customized. Before you customize security zones, be aware that each security zone has a default setting, and your computer might be at risk if you set the security setting below the recommended level.

To set a security level for each zone

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click the zone that you want to set the security level for.
  3. Under Security level for this zone, to one of the following:
    • To use the default security level for that zone, click Default level, and then click OK.
    • To customize the security level for that zone, click Custom level, select the security options you would like to use, and then click OK twice.


Specify the programs you want Internet Explorer to use

To specify the programs you want Internet Explorer to use

You can specify which programs you want Internet Explorer to use for e-mail, newsgroups, your calendar, or Internet calls.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Programs tab, and then specify which program you want to be used for each of the options listed under Internet programs.
  3. When you are finished selecting the program associated with each task, click OK.


Specify another language for webpage content

To specify another language for webpage content

Some websites offer their content in several languages. To specify which language you prefer to view webpages in, follow these steps.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Languages.
  3. Click Add.
  4. Select the language you want to add, and then click OK.
  5. Repeat steps 3 and 4 to add all of the languages you would like.
  6. Organize the languages by order of preference. If a website offers multiple languages, content will appear in the language that is highest on the list.
  7. When you are finished ordering the languages, click OK twice.


Change the settings for offline pages

The offline favorites feature has been removed from Internet Explorer. For more information, see What happened to offline favorites?


Uninstall Internet Explorer

To uninstall Internet Explorer

If Internet Explorer is not working properly, it might be because some important files have been lost or damaged. In this case, it is often beneficial to uninstall Internet Explorer and then reinstall it.

  1. In Windows, click Start, click Control Panel, and then click Add or Remove Programs.
  2. Click Remove a program.
  3. In the list of currently installed programs, click Internet Explorer 7, and then click Remove.
  4. Follow the prompts on the screen to uninstall Internet Explorer.

    If you want to, you can now download and reinstall Internet Explorer 7 by visiting the Internet Explorer 7 (http://www.microsoft.com/windows/ie) website.

Note

  • If you had a previous version of Internet Explorer on your computer before you installed Internet Explorer 7, your computer will roll back to the previous version if you uninstall Internet Explorer 7.


Understanding Internet addresses

An Internet address (sometimes called a web address or URL) typically is composed of four parts:

  • A protocol name (a protocol is a set of rules and standards that enable computers to exchange information)
  • The location of the site
  • The name of the organization that maintains the site
  • A suffix that identifies the kind of organization it is (such as .com for a commercial organization)

For example, the address http://www.microsoft.com/ provides the following information:

Address part | What it means
http: | This web server uses Hypertext Transfer Protocol (HTTP).
www | This site is on the Internet (the World Wide Web).
microsoft | The web server is at Microsoft Corporation.
com | This is a commercial institution.

When you are viewing a webpage, the page's address appears in the Address bar in Internet Explorer.


Use web folders

To use web folders

You can work with files and folders that are on a web server just as you would with files and folders in My Computer or Windows Explorer. To open a web folder, follow these steps.

  1. Open Internet Explorer.
  2. Press CTRL+O to display the Open dialog box.
  3. Type the web folder web address (URL).
  4. Select the Open as Web Folder check box, and then click OK.


Microsoft Product Support Services Online

Get the latest answers to technical questions over the Internet

Online Support from Microsoft Product Support Services

If you have a question and can't find the answer in Internet Explorer Help, go to Support Online. Select your product, type your question, and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base to troubleshooting wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to the Support Online (http://support.microsoft.com) website.


Understanding security zones

Internet Explorer assigns all websites to one of four security zones: Internet, Local intranet, Trusted sites, or Restricted sites. The zone to which a website is assigned specifies the security settings that are used for that site. You can choose which websites to assign to the Intranet, Trusted, or Restricted zones. By adding a website to a specific zone, you can control the level of security used on that site. For example, if you have a list of websites that you visit and you completely trust those sites, add those sites to the Trusted zone.

To add a website to a security zone

  1. In Internet Explorer, navigate to the website that you want to add to a specific security zone.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Security tab, and then click a security zone (Local intranet, Trusted sites, or Restricted sites).
  4. Click Sites.
  5. If you clicked Local intranet in step 3, click Advanced.
  6. The website should be shown in the Add this website to the zone field. Click Add.

    If the site is not a secure site (HTTPS), clear the Require server verification (https:) for all sites in this zone check box.

  7. Click Close, and then click OK.

To remove a website from a security zone

  1. Click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click a security zone (Local intranet, Trusted sites, or Restricted sites).
  3. Click Sites.
  4. If you clicked Local intranet in step two, click Advanced.
  5. In Websites, click the website that you want to remove.
  6. Click Remove.
  7. Click Close, and then click OK.